Debian Bug report logs - #613979
linux-image-2.6.37-1-amd64: kernel oops with snd-hda-intel: BUG: unable to handle kernel paging request at ffffc90011c08000

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Fri, 18 Feb 2011 16:45:01 UTC

Severity: important

Tags: fixed-upstream, upstream

Found in versions linux-2.6/2.6.34-1~experimental.1, 2.6.38-2, 2.6.39-1, 2.6.37-1, 2.6.38-1, 2.6.39-2, 2.6.37-2

Fixed in version 3.1.0-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=30552

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Fri, 18 Feb 2011 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 18 Feb 2011 16:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.37-1-amd64: kernel oops with snd-hda-intel: BUG: unable to handle kernel paging request at ffffc90011c08000
Date: Fri, 18 Feb 2011 17:41:09 +0100
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.37-1
Severity: important

Dear Debian folks,


upgrading to DebPkg:linux-image-2.6.37-1-amd64 from linux-image-2.6.32-5-amd64 gives an oops with `snd-hda-intel` and audio does not work anymore, since no sound devices are shown. You can see the trace in the below (pasted by your reportbug scripts) Linux kernel log.

Is the ALSA version in Debian Sid/unstable not compatible or is there another problem?

Additionally the boot process stops for over a minute at `Loading LIRC modules`(?).


Thanks,

Paul

-- Package-specific info:
** Version:
Linux version 2.6.37-1-amd64 (Debian 2.6.37-1) (ben@decadent.org.uk) (gcc version 4.4.5 (Debian 4.4.5-10) ) #1 SMP Tue Feb 15 20:01:26 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.37-1-amd64 root=/dev/mapper/speicher-root ro quiet

** Tainted: D (128)
 * Kernel has oopsed before.

** Kernel log:
[   41.265636] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
[   41.680357] HDA Intel 0000:20:01.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[   41.680444] HDA Intel 0000:20:01.0: setting latency timer to 64
[   41.680462] BUG: unable to handle kernel paging request at ffffc90011c08000
[   41.680617] IP: [<ffffffffa0578402>] azx_probe+0x3ad/0x86b [snd_hda_intel]
[   41.680728] PGD 13781a067 PUD 13781b067 PMD 1300ba067 PTE 800000fd00000173
[   41.680956] Oops: 0009 [#1] SMP 
[   41.681098] last sysfs file: /sys/module/snd_pcm/initstate
[   41.681159] CPU 0 
[   41.681203] Modules linked in: snd_hda_intel(+) snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event tpm_tis tpm snd_seq tpm_bios psmouse parport_pc snd_timer snd_seq_device parport processor evdev snd i2c_viapro thermal_sys amd64_edac_mod k8temp i2c_core soundcore shpchp pcspkr serio_raw asus_atk0110 pci_hotplug edac_core button snd_page_alloc edac_mce_amd ext3 jbd mbcache sha256_generic cryptd aes_x86_64 aes_generic cbc dm_crypt dm_mod raid1 md_mod usbhid hid sg sd_mod crc_t10dif sr_mod cdrom ata_generic uhci_hcd sata_via pata_via libata ehci_hcd usbcore scsi_mod via_rhine mii nls_base [last unloaded: scsi_wait_scan]
[   41.684180] 
[   41.684180] Pid: 1153, comm: work_for_cpu Not tainted 2.6.37-1-amd64 #1 M2V-MX SE/System Product Name
[   41.684180] RIP: 0010:[<ffffffffa0578402>]  [<ffffffffa0578402>] azx_probe+0x3ad/0x86b [snd_hda_intel]
[   41.684180] RSP: 0018:ffff88013153fe50  EFLAGS: 00010286
[   41.684180] RAX: ffffc90011c08000 RBX: ffff88013029ec00 RCX: 0000000000000006
[   41.684180] RDX: 0000000000000000 RSI: 0000000000000246 RDI: 0000000000000246
[   41.684180] RBP: ffff88013341d000 R08: 0000000000000000 R09: 0000000000000040
[   41.684180] R10: 0000000000000286 R11: 0000000000003731 R12: ffff88013029c400
[   41.684180] R13: 0000000000000000 R14: 0000000000000000 R15: ffff88013341d090
[   41.684180] FS:  0000000000000000(0000) GS:ffff8800bfc00000(0000) knlGS:00000000f7610ab0
[   41.684180] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[   41.684180] CR2: ffffc90011c08000 CR3: 0000000132f57000 CR4: 00000000000006f0
[   41.684180] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   41.684180] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   41.684180] Process work_for_cpu (pid: 1153, threadinfo ffff88013153e000, task ffff8801303c86c0)
[   41.684180] Stack:
[   41.684180]  0000000000000005 ffffffff8123ad65 00000000000136c0 ffff88013029c400
[   41.684180]  ffff8801303c8998 ffff88013341d000 ffff88013341d090 ffff8801322d9dc8
[   41.684180]  ffff88013341d208 0000000000000000 0000000000000000 ffffffff811ad232
[   41.684180] Call Trace:
[   41.684180]  [<ffffffff8123ad65>] ? __pm_runtime_set_status+0x162/0x186
[   41.684180]  [<ffffffff811ad232>] ? local_pci_probe+0x49/0x92
[   41.684180]  [<ffffffff8105afc5>] ? do_work_for_cpu+0x0/0x1b
[   41.684180]  [<ffffffff8105afc5>] ? do_work_for_cpu+0x0/0x1b
[   41.684180]  [<ffffffff8105afd0>] ? do_work_for_cpu+0xb/0x1b
[   41.684180]  [<ffffffff8105fd3f>] ? kthread+0x7a/0x82
[   41.684180]  [<ffffffff8100a824>] ? kernel_thread_helper+0x4/0x10
[   41.684180]  [<ffffffff8105fcc5>] ? kthread+0x0/0x82
[   41.684180]  [<ffffffff8100a820>] ? kernel_thread_helper+0x0/0x10
[   41.684180] Code: f4 01 00 00 ef 31 f6 48 89 df e8 29 dd ff ff 85 c0 0f 88 2b 03 00 00 48 89 ef e8 b4 39 c3 e0 8b 7b 40 e8 fc 9d b1 e0 48 8b 43 38 <66> 8b 10 66 89 14 24 8b 43 14 83 e8 03 83 f8 01 77 32 31 d2 be 
[   41.684180] RIP  [<ffffffffa0578402>] azx_probe+0x3ad/0x86b [snd_hda_intel]
[   41.684180]  RSP <ffff88013153fe50>
[   41.684180] CR2: ffffc90011c08000
[   41.684180] ---[ end trace 8d1f3ebc136437fd ]---
[   42.127750] input: ImPS/2 Logitech Wheel Mouse as /devices/platform/i8042/serio1/input/input5
[   63.455908] EXT3-fs (dm-1): using internal journal
[   63.800394] loop: module loaded
[   65.413037] Adding 4194300k swap on /dev/mapper/speicher-swap.  Priority:-1 extents:1 across:4194300k 
[   67.008724] fuse init (API version 7.15)
[   67.140105] EXT3-fs: barriers not enabled
[   67.142596] kjournald starting.  Commit interval 5 seconds
[   67.147077] EXT3-fs (md0): using internal journal
[   67.147221] EXT3-fs (md0): mounted filesystem with ordered data mode
[   67.217115] EXT3-fs: barriers not enabled
[   67.220248] kjournald starting.  Commit interval 5 seconds
[   67.247088] EXT3-fs (dm-6): using internal journal
[   67.247236] EXT3-fs (dm-6): mounted filesystem with ordered data mode
[   67.357741] SGI XFS with ACLs, security attributes, realtime, large block/inode numbers, no debug enabled
[   67.360958] SGI XFS Quota Management subsystem
[   67.411476] XFS mounting filesystem dm-7
[   70.259895] Ending clean XFS mount for filesystem: dm-7
[   70.309239] XFS mounting filesystem dm-8
[   70.603227] Ending clean XFS mount for filesystem: dm-8
[   70.676209] REISERFS (device dm-5): found reiserfs format "3.6" with standard journal
[   70.676322] REISERFS (device dm-5): using ordered data mode
[   70.684321] REISERFS (device dm-5): journal params: device dm-5, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
[   70.685757] REISERFS (device dm-5): checking transaction log (dm-5)
[   70.708207] REISERFS (device dm-5): Using r5 hash to sort names
[   70.774065] EXT3-fs: barriers not enabled
[   70.779309] kjournald starting.  Commit interval 5 seconds
[   70.779606] EXT3-fs (dm-3): using internal journal
[   70.779753] EXT3-fs (dm-3): mounted filesystem with ordered data mode
[   70.822113] EXT3-fs: barriers not enabled
[   70.824247] kjournald starting.  Commit interval 5 seconds
[   70.824511] EXT3-fs (dm-4): using internal journal
[   70.824658] EXT3-fs (dm-4): mounted filesystem with ordered data mode
[   90.491792] powernow-k8: Found 1 AMD Athlon(tm) X2 Dual Core Processor BE-2350 (2 cpu cores) (version 2.20.00)
[   90.491843] powernow-k8:    0 : fid 0xd (2100 MHz), vid 0xe
[   90.491846] powernow-k8:    1 : fid 0xc (2000 MHz), vid 0xf
[   90.491849] powernow-k8:    2 : fid 0xa (1800 MHz), vid 0x11
[   90.491851] powernow-k8:    3 : fid 0x2 (1000 MHz), vid 0x16
[   91.004026] Clocksource tsc unstable (delta = -238711064 ns)
[  245.332887] kvm: Nested Virtualization enabled
[  249.841785] eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
[  251.559202] ip_tables: (C) 2000-2006 Netfilter Core Team
[  251.825350] ip6_tables: (C) 2000-2006 Netfilter Core Team
[  257.927528] lo: Disabled Privacy Extensions
[  259.959208] [drm] Initialized drm 1.1.0 20060810
[  260.017917] pci 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[  260.020451] [drm] Initialized via 2.11.1 20070202 for 0000:01:00.0 on minor 0
[  260.021056] ioctl32(Xorg:2800): Unknown cmd fd(11) cmd(c0106407){t:'d';sz:16} arg(ffa55520) on /dev/dri/card0
[  260.021104] ioctl32(Xorg:2800): Unknown cmd fd(11) cmd(c0106407){t:'d';sz:16} arg(ffa55520) on /dev/dri/card0
[  260.021121] ioctl32(Xorg:2800): Unknown cmd fd(11) cmd(c0086401){t:'d';sz:8} arg(ffa55518) on /dev/dri/card0
[  260.089858] ioctl32(Xorg:2800): Unknown cmd fd(11) cmd(c0246400){t:'d';sz:36} arg(097ad450) on /dev/dri/card0
[  260.174797] ioctl32(Xorg:2800): Unknown cmd fd(11) cmd(c0246400){t:'d';sz:36} arg(097ad450) on /dev/dri/card0
[  260.400043] eth0: no IPv6 routers present
[  637.451384] JFS: nTxBlock = 8192, nTxLock = 65536
[  637.495381] NTFS driver 2.1.29 [Flags: R/W MODULE].
[  637.568054] QNX4 filesystem 0.2.3 registered.
[  637.642781] Btrfs loaded

** Model information
sys_vendor: System manufacturer
product_name: System Product Name
product_version: System Version
chassis_vendor: Chassis Manufacture
chassis_version: Chassis Version
bios_vendor: American Megatrends Inc.
bios_version: 0304   
board_vendor: ASUSTeK Computer INC.
board_name: M2V-MX SE
board_version: Rev x.xx

** Loaded modules:
Module                  Size  Used by
btrfs                 411166  0 
zlib_deflate           17650  1 btrfs
crc32c                  2600  1 
libcrc32c               1066  1 btrfs
ufs                    56478  0 
qnx4                    6200  0 
hfsplus                65652  0 
hfs                    37197  0 
minix                  21489  0 
ntfs                  158892  0 
vfat                    7911  0 
msdos                   6072  0 
fat                    40407  2 vfat,msdos
jfs                   138297  0 
ext4                  278953  0 
jbd2                   57803  1 ext4
crc16                   1327  1 ext4
ext2                   53525  0 
binfmt_misc             6509  1 
via                    32851  0 
drm                   152269  1 via
ip6table_filter         1332  0 
ip6_tables             15083  1 ip6table_filter
iptable_filter          1376  0 
ip_tables              13986  1 iptable_filter
x_tables               14205  4 ip6table_filter,ip6_tables,iptable_filter,ip_tables
kvm_amd                38365  0 
kvm                   240447  1 kvm_amd
powernow_k8            12391  2 
mperf                   1243  1 powernow_k8
cpufreq_conservative     7646  0 
cpufreq_userspace       2016  0 
cpufreq_stats           2633  0 
cpufreq_powersave        942  0 
reiserfs              193827  1 
xfs                   590009  2 
exportfs                3082  1 xfs
fuse                   54507  1 
loop                   13483  0 
firewire_sbp2          11423  0 
firewire_core          42145  1 firewire_sbp2
crc_itu_t               1331  1 firewire_core
snd_hda_intel          30736  1 
snd_hda_codec          62045  1 snd_hda_intel
snd_hwdep               5340  1 snd_hda_codec
snd_pcm_oss            31980  0 
snd_mixer_oss          12527  1 snd_pcm_oss
snd_pcm                61437  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            4342  0 
snd_rawmidi            15753  1 snd_seq_midi
snd_seq_midi_event      4786  1 snd_seq_midi
tpm_tis                 7141  0 
tpm                     9539  1 tpm_tis
snd_seq                40870  2 snd_seq_midi,snd_seq_midi_event
tpm_bios                4677  1 tpm
psmouse                45274  0 
parport_pc             18869  0 
snd_timer              16048  2 snd_pcm,snd_seq
snd_seq_device          4531  3 snd_seq_midi,snd_rawmidi,snd_seq
parport                25486  1 parport_pc
processor              23762  1 powernow_k8
evdev                   7971  9 
snd                    46604  10 snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
i2c_viapro              5139  0 
thermal_sys            11764  1 processor
amd64_edac_mod         13937  0 
k8temp                  3195  0 
i2c_core               15898  2 drm,i2c_viapro
soundcore               4582  1 snd
shpchp                 21891  0 
pcspkr                  1739  0 
serio_raw               3726  0 
asus_atk0110            8404  0 
pci_hotplug            19711  1 shpchp
edac_core              30128  3 amd64_edac_mod
button                  4722  0 
snd_page_alloc          6257  2 snd_hda_intel,snd_pcm
edac_mce_amd            8023  1 amd64_edac_mod
ext3                  106213  5 
jbd                    36768  1 ext3
mbcache                 5104  3 ext4,ext2,ext3
sha256_generic          9365  2 
cryptd                  6735  0 
aes_x86_64              7396  2 
aes_generic            26106  1 aes_x86_64
cbc                     2579  1 
dm_crypt               10479  1 
dm_mod                 55683  28 dm_crypt
raid1                  17969  2 
md_mod                 79119  3 raid1
usbhid                 30810  0 
hid                    65078  1 usbhid
sg                     18999  0 
sd_mod                 28114  3 
crc_t10dif              1300  1 sd_mod
sr_mod                 12327  0 
cdrom                  28825  1 sr_mod
ata_generic             3151  0 
uhci_hcd               18394  0 
sata_via                7776  2 
pata_via                7621  0 
libata                142806  3 ata_generic,sata_via,pata_via
ehci_hcd               31358  0 
usbcore               118503  4 usbhid,uhci_hcd,ehci_hcd
scsi_mod              154143  5 firewire_sbp2,sg,sd_mod,sr_mod,libata
via_rhine              17516  0 
mii                     3266  1 via_rhine
nls_base                6369  7 hfsplus,hfs,ntfs,vfat,fat,jfs,usbcore

** PCI devices:
00:00.0 Host bridge [0600]: VIA Technologies, Inc. K8M890CE Host Bridge [1106:0336]
	Subsystem: VIA Technologies, Inc. K8M890CE Host Bridge [1106:0336]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Region 0: Memory at <ignored> (32-bit, prefetchable)
	Capabilities: <access denied>
	Kernel driver in use: agpgart-amd64

00:00.1 Host bridge [0600]: VIA Technologies, Inc. K8M890CE Host Bridge [1106:1336]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8297]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes

00:00.2 Host bridge [0600]: VIA Technologies, Inc. K8M890CE Host Bridge [1106:2336]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8297]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes

00:00.3 Host bridge [0600]: VIA Technologies, Inc. K8M890CE Host Bridge [1106:3336]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8297]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes

00:00.4 Host bridge [0600]: VIA Technologies, Inc. K8M890CE Host Bridge [1106:4336]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8297]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes

00:00.5 PIC [0800]: VIA Technologies, Inc. K8M890CE I/O APIC Interrupt Controller [1106:5336] (prog-if 20 [IO(X)-APIC])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8297]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes

00:00.7 Host bridge [0600]: VIA Technologies, Inc. K8M890CE Host Bridge [1106:7336]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes

00:01.0 PCI bridge [0604]: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South] [1106:b188] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: f0000000-f17fffff
	Prefetchable memory behind bridge: d0000000-dfffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:02.0 PCI bridge [0604]: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller [1106:a238] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: f1800000-f19fffff
	Prefetchable memory behind bridge: 00000000f1a00000-00000000f1bfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:03.0 PCI bridge [0604]: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller [1106:c238] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f1c00000-f1dfffff
	Prefetchable memory behind bridge: 00000000f1e00000-00000000f1ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:0f.0 IDE interface [0101]: VIA Technologies, Inc. Device [1106:5372] (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: ASUSTeK Computer Inc. Device [1043:827c]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin B routed to IRQ 21
	Region 0: I/O ports at ec00 [size=8]
	Region 1: I/O ports at e880 [size=4]
	Region 2: I/O ports at e800 [size=8]
	Region 3: I/O ports at e480 [size=4]
	Region 4: I/O ports at e400 [size=16]
	Region 5: I/O ports at e000 [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sata_via

00:0f.1 IDE interface [0101]: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [1106:0571] (rev 07) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. Device [1043:827c]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at fc00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_via

00:10.0 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev b0) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:827c]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at d480 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:10.1 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev b0) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:827c]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 22
	Region 4: I/O ports at d800 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:10.2 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev b0) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:827c]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 21
	Region 4: I/O ports at d880 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:10.3 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev b0) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:827c]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin D routed to IRQ 23
	Region 4: I/O ports at dc00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:10.4 USB Controller [0c03]: VIA Technologies, Inc. USB 2.0 [1106:3104] (rev 90) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device [1043:827c]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 21
	Region 0: Memory at f9fffc00 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:11.0 ISA bridge [0601]: VIA Technologies, Inc. VT8237S PCI to ISA Bridge [1106:3372]
	Subsystem: ASUSTeK Computer Inc. Device [1043:827c]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:11.7 Host bridge [0600]: VIA Technologies, Inc. VT8251 Ultra VLINK Controller [1106:287e]
	Subsystem: VIA Technologies, Inc. Device [1106:337e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 128
	Capabilities: <access denied>

00:12.0 Ethernet controller [0200]: VIA Technologies, Inc. VT6102 [Rhine-II] [1106:3065] (rev 7c)
	Subsystem: ASUSTeK Computer Inc. A7V600-X Motherboard [1043:80ed]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (750ns min, 2000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 23
	Region 0: I/O ports at d000 [size=256]
	Region 1: Memory at f9fff800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: via-rhine

00:13.0 Host bridge [0600]: VIA Technologies, Inc. VT8237A Host Bridge [1106:337b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:13.1 PCI bridge [0604]: VIA Technologies, Inc. VT8237A PCI to PCI Bridge [1106:337a] (prog-if 01 [Subtractive decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Kernel driver in use: amd64_edac

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k8temp

01:00.0 VGA compatible controller [0300]: VIA Technologies, Inc. K8M890CE/K8N890CE [Chrome 9] [1106:3230] (rev 11) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:8297]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min)
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 1: Memory at f0000000 (32-bit, non-prefetchable) [size=16M]
	Expansion ROM at f1000000 [disabled] [size=64K]
	Capabilities: <access denied>

20:01.0 Audio device [0403]: VIA Technologies, Inc. VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller) [1106:3288] (rev 10)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8290]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fd00000000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 046d:c312 Logitech, Inc. DeLuxe 250 Keyboard
Bus 003 Device 002: ID 058f:9254 Alcor Micro Corp. Hub


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.37-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.37-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.38     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    2.6.37-1   Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.37-1-amd64 recommends:
ii  firmware-linux-free           2.6.37-1   Binary firmware for various driver
ii  libc6-i686                    2.11.2-11  Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.37-1-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.37              <none>     (no description available)

Versions of packages linux-image-2.6.37-1-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.37-1-amd64/postinst/missing-firmware-2.6.37-1-amd64:
  linux-image-2.6.37-1-amd64/postinst/depmod-error-initrd-2.6.37-1-amd64: false
  linux-image-2.6.37-1-amd64/postinst/ignoring-do-bootloader-2.6.37-1-amd64:
  linux-image-2.6.37-1-amd64/prerm/removing-running-kernel-2.6.37-1-amd64: true
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Fri, 18 Feb 2011 22:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 18 Feb 2011 22:45:10 GMT) Full text and rfc822 format available.

Message #10 received at 613979@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Paul Menzel <pm.debian@googlemail.com>, 613979@bugs.debian.org
Subject: Re: Bug#613979: linux-image-2.6.37-1-amd64: kernel oops with snd-hda-intel: BUG: unable to handle kernel paging request at ffffc90011c08000
Date: Fri, 18 Feb 2011 22:42:33 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2011-02-18 at 17:41 +0100, Paul Menzel wrote:
> Package: linux-2.6
> Version: 2.6.37-1
> Severity: important
> 
> Dear Debian folks,
> 
> 
> upgrading to DebPkg:linux-image-2.6.37-1-amd64 from
> linux-image-2.6.32-5-amd64 gives an oops with `snd-hda-intel` and
> audio does not work anymore, since no sound devices are shown. You can
> see the trace in the below (pasted by your reportbug scripts) Linux
> kernel log.
> 
> Is the ALSA version in Debian Sid/unstable not compatible or is there
> another problem?

I'm not sure what you mean by 'the ALSA version'.  ALSA is made up of
kernel drivers and libasound in user-space.  The drivers are included in
the kernel package and cannot be incompatible with it.  The interface
between the drivers and libasound is not supposed to change in an
incompatible way, and in any case a user process should not be able to
crash the kernel.

So I think this is just a bug in the driver.  Please report it upstream
at <https://bugzilla.kernel.org> under product 'Drivers', component
'Sound(ALSA)'.  Let us know the bug number or URL so we can track it.

> Additionally the boot process stops for over a minute at `Loading LIRC
> modules`(?).
[...]

I don't see any LIRC modules in the list of loaded modules.  This may be
a bug in the lirc package.  In any case, you need to make a separate bug
report for each bug.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 18 Feb 2011 22:45:11 GMT) Full text and rfc822 format available.

Forcibly Merged 613979 615966. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 01 Mar 2011 16:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Sun, 06 Mar 2011 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 06 Mar 2011 13:51:03 GMT) Full text and rfc822 format available.

Message #19 received at 613979@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 613979@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#613979: linux-image-2.6.37-1-amd64: kernel oops with snd-hda-intel: BUG: unable to handle kernel paging request at ffffc90011c08000
Date: Sun, 06 Mar 2011 14:48:25 +0100
[Message part 1 (text/plain, inline)]
forwarded 613979 https://bugzilla.kernel.org/show_bug.cgi?id=30552
quit


Am Freitag, den 18.02.2011, 22:42 +0000 schrieb Ben Hutchings:
> On Fri, 2011-02-18 at 17:41 +0100, Paul Menzel wrote:
> > Package: linux-2.6
> > Version: 2.6.37-1
> > Severity: important

> > upgrading to DebPkg:linux-image-2.6.37-1-amd64 from
> > linux-image-2.6.32-5-amd64 gives an oops with `snd-hda-intel` and
> > audio does not work anymore, since no sound devices are shown. You can
> > see the trace in the below (pasted by your reportbug scripts) Linux
> > kernel log.
> > 
> > Is the ALSA version in Debian Sid/unstable not compatible or is there
> > another problem?
> 
> I'm not sure what you mean by 'the ALSA version'.  ALSA is made up of
> kernel drivers and libasound in user-space.  The drivers are included in
> the kernel package and cannot be incompatible with it. The interface
> between the drivers and libasound is not supposed to change in an
> incompatible way, and in any case a user process should not be able to
> crash the kernel.

Sorry for my ignorance and thank you for the clarification.

> So I think this is just a bug in the driver.  Please report it upstream
> at <https://bugzilla.kernel.org> under product 'Drivers', component
> 'Sound(ALSA)'.  Let us know the bug number or URL so we can track it.

Ticket #30552 [1] now tracks this issue in the Linux BTS.

[…]


Thanks,

Paul


[1] https://bugzilla.kernel.org/show_bug.cgi?id=30552
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=30552'. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Sun, 06 Mar 2011 13:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Mon, 28 Mar 2011 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Mar 2011 22:03:03 GMT) Full text and rfc822 format available.

Message #26 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: alsa-devel@alsa-project.org
Cc: 619034@bugs.debian.org, 613979@bugs.debian.org
Subject: Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Mon, 28 Mar 2011 23:54:36 +0200
Trying again to get this message to the alsa-devel list, as recommended
by the Debian maintainer of the kernel, without being subscribed. Does
alsa not have a bug report page?

Booting kernel 2.6.38  hangs at:
During boot of kernel 2.6.38 (and 2.6.37) udev bugs out:
Waiting for /dev to be fully populated
BUG: Unable to handle kernel paging request at ffffc90013cd8000
axz_probe+ ... [snd_hda_intel]
...lots of output lost...
udevadm timeout 180 sec ...
udevd[390]: worker [439] failed while handling
'/devices/pci0000:80/0000:80:01.0'

No sound card is recognized after the timeout of the boot as shown above.
According to the /proc/asound/cards there are no sound cards

See bug Debian bug #619034 for more information.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619034

This problem was also reported as Debian bug #613979, as kernel ticket

https://bugzilla.kernel.org/show_bug.cgi?id=30552

and sent to this mailing list in February 2011.

snd_hda_intel works properly with 2.6.32-5-amd64 (and earlier kernels).





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Mon, 28 Mar 2011 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Mar 2011 23:09:03 GMT) Full text and rfc822 format available.

Message #31 received at 613979@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Svante Signell <svante.signell@telia.com>, 613979@bugs.debian.org
Cc: 619034@bugs.debian.org
Subject: Re: Bug#613979: Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Mon, 28 Mar 2011 23:40:42 +0100
On Mon, Mar 28, 2011 at 11:54:36PM +0200, Svante Signell wrote:
> Trying again to get this message to the alsa-devel list, as recommended
> by the Debian maintainer of the kernel, without being subscribed. Does
> alsa not have a bug report page?
[...]

ALSA does have a Bugzilla.  Unfortunately, it is almost entirely
ignored by the developers, so there is no point in using it.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Wed, 30 Mar 2011 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <srs@kth.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 11:00:03 GMT) Full text and rfc822 format available.

Message #36 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Takashi Iwai <tiwai@suse.de>
Cc: alsa-devel@alsa-project.org, 619034@bugs.debian.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Wed, 30 Mar 2011 12:25:44 +0200
[Message part 1 (text/plain, inline)]
On Tue, 2011-03-29 at 13:10 +0200, Takashi Iwai wrote:
> At Tue, 29 Mar 2011 12:58:16 +0200,
> Svante Signell wrote:
> > 
> > On Tue, 2011-03-29 at 12:31 +0200, Takashi Iwai wrote:
> > > At Tue, 29 Mar 2011 12:24:40 +0200,
> > > Svante Signell wrote:
...
> > > But let's check the Oops first as below.
> 
> > > Also, please try to decode the line from the code shown in the Oops.
> > > It's a bit too little information to analyze, unfortunately.
...
> As mentioned, you can decode the binary dump in Oops to guess which
> line of the source code corresponds to the Oops point.
> Use gdb or objdump to figure out the disassembled code.
> For example,
> 
> 	% objdump -D -l /lib/modules/$(uname -r)/kernel/sound/pci/hda/snd-hda-intel.ko
> 
> Then look for azx_probe.  Calculate the position from the offset
> Oops gave, compare the hex codes with the data show in "Code" section
> of Oops.
> objdump with -l will show the source code line as well, so you'll see
> now more exactly where it was triggered.

Below is the kernel Oops and the objdump output related to azx_probe.
Unfortunately I don't know where to find the Oops offset!

Kernel Oops when booting:
=========================
[    4.631033] Oops: 0009 [#1] SMP 
[    4.631187] last sysfs file: /sys/devices/virtual/net/lo/operstate
[    4.631243] CPU 0 
[    4.631293] Modules linked in: snd_hda_intel(+) snd_hda_codec tpm_tis
tpm pcspkr snd_hwdep tpm_bios shpchp(+) pci_hotplug k8temp nouveau(+)
snd_pcm ttm drm_kms_helper drm parport_pc i2c_viapro i2c_algo_bit usblp
power_supply i2c_core parport edac_core video edac_mce_amd processor
psmouse evdev serio_raw button snd_seq snd_timer snd_seq_device snd
soundcore snd_page_alloc thermal_sys ext3 jbd mbcache sg sr_mod cdrom
usbhid sd_mod crc_t10dif ata_generic hid sata_via uhci_hcd pata_via
libata ehci_hcd usbcore scsi_mod via_rhine floppy mii nls_base [last
unloaded: scsi_wait_scan]
[    4.632005] 
[    4.632005] Pid: 632, comm: work_for_cpu Not tainted 2.6.38-1-amd64
#1 MICRO-STAR INTERNATIONAL CO., LTD MS-7253/MS-7253
[    4.632005] RIP: 0010:[<ffffffffa061f416>]  [<ffffffffa061f416>]
azx_probe+0x3ad/0x870 [snd_hda_intel]
[    4.632005] RSP: 0018:ffff88007c05be50  EFLAGS: 00010286
[    4.632005] RAX: ffffc90013c98000 RBX: ffff880036de6000 RCX:
0000000000000006
[    4.632005] RDX: 0000000000000000 RSI: 0000000000000246 RDI:
0000000000000246
[    4.632005] RBP: ffff88007c93d000 R08: 0000000000000000 R09:
0000000000000040
[    4.632005] R10: 0000000000000286 R11: 000000000000a971 R12:
ffff880036de5c00
[    4.632005] R13: 0000000000000000 R14: 0000000000000000 R15:
ffff88007c93d090
[    4.632005] FS:  00007f1cd2afb7a0(0000) GS:ffff88007fc00000(0000)
knlGS:0000000000000000
[    4.632005] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[    4.632005] CR2: ffffc90013c98000 CR3: 000000007c00f000 CR4:
00000000000006f0
[    4.632005] DR0: 0000000000000000 DR1: 0000000000000000 DR2:
0000000000000000
[    4.632005] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7:
0000000000000400
[    4.632005] Process work_for_cpu (pid: 632, threadinfo
ffff88007c05a000, task ffff88003713a880)
[    4.632005] Stack:
[    4.632005]  0000000000000005 ffffffff81240724 0000000000000001
ffff880036de5c00
[    4.632005]  0000000000013700 ffff88007c93d000 ffff88007c93d090
ffff88007a7c7dc8
[    4.632005]  ffff88007c93d200 0000000000000000 0000000000000000
ffffffff811b1a42
[    4.632005] Call Trace:
[    4.632005]  [<ffffffff81240724>] ? __pm_runtime_set_status
+0x162/0x186
[    4.632005]  [<ffffffff811b1a42>] ? local_pci_probe+0x49/0x92
[    4.632005]  [<ffffffff8105aad2>] ? do_work_for_cpu+0x0/0x1b
[    4.632005]  [<ffffffff8105aad2>] ? do_work_for_cpu+0x0/0x1b
[    4.632005]  [<ffffffff8105aadd>] ? do_work_for_cpu+0xb/0x1b
[    4.632005]  [<ffffffff8105fcdf>] ? kthread+0x7a/0x82
[    4.632005]  [<ffffffff8100a764>] ? kernel_thread_helper+0x4/0x10
[    4.632005]  [<ffffffff8105fc65>] ? kthread+0x0/0x82
[    4.632005]  [<ffffffff8100a760>] ? kernel_thread_helper+0x0/0x10
[    4.632005] Code: f4 01 00 00 ef 31 f6 48 89 df e8 15 dd ff ff 85 c0
0f 88 2b 03 00 00 48 89 ef e8 ee 11 b9 e0 8b 7b 40 e8 9f 25 a7 e0 48 8b
43 38 <66> 8b 10 66 89 14 24 8b 43 14 83 e8 03 83 f8 01 77 32 31 d2 be 
[    4.632005] RIP  [<ffffffffa061f416>] azx_probe+0x3ad/0x870
[snd_hda_intel]
[    4.632005]  RSP <ffff88007c05be50>
[    4.632005] CR2: ffffc90013c98000
[    4.632005] ---[ end trace c6748815fe9ff43b ]---

objdump -D -l /lib/modules/$(uname
-r)/kernel/sound/pci/hda/snd-hda-intel.ko

/lib/modules/2.6.38-1-amd64/kernel/sound/pci/hda/snd-hda-intel.ko:
file format elf64-x86-64

00000000000001fd <azx_probe>:
azx_probe():

(see attachment)

[objdump_axz_probe.out (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Wed, 30 Mar 2011 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 11:15:03 GMT) Full text and rfc822 format available.

Message #41 received at 613979@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Svante Signell <srs@kth.se>
Cc: alsa-devel@alsa-project.org, 619034@bugs.debian.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Wed, 30 Mar 2011 12:59:12 +0200
At Wed, 30 Mar 2011 12:25:44 +0200,
Svante Signell wrote:
> 
> On Tue, 2011-03-29 at 13:10 +0200, Takashi Iwai wrote:
> > At Tue, 29 Mar 2011 12:58:16 +0200,
> > Svante Signell wrote:
> > > 
> > > On Tue, 2011-03-29 at 12:31 +0200, Takashi Iwai wrote:
> > > > At Tue, 29 Mar 2011 12:24:40 +0200,
> > > > Svante Signell wrote:
> ...
> > > > But let's check the Oops first as below.
> > 
> > > > Also, please try to decode the line from the code shown in the Oops.
> > > > It's a bit too little information to analyze, unfortunately.
> ...
> > As mentioned, you can decode the binary dump in Oops to guess which
> > line of the source code corresponds to the Oops point.
> > Use gdb or objdump to figure out the disassembled code.
> > For example,
> > 
> > 	% objdump -D -l /lib/modules/$(uname -r)/kernel/sound/pci/hda/snd-hda-intel.ko
> > 
> > Then look for azx_probe.  Calculate the position from the offset
> > Oops gave, compare the hex codes with the data show in "Code" section
> > of Oops.
> > objdump with -l will show the source code line as well, so you'll see
> > now more exactly where it was triggered.
> 
> Below is the kernel Oops and the objdump output related to azx_probe.
> Unfortunately I don't know where to find the Oops offset!

This is shown in below:

> [    4.632005] RIP: 0010:[<ffffffffa061f416>]  [<ffffffffa061f416>]
> azx_probe+0x3ad/0x870 [snd_hda_intel]

The offset is 0x3ad.  As azx_probe() in the disassembled code begins
with 0x1fd, it points to 0x5aa (0x1fd + 0x3ad).  You can see the
disassembled code matches with the dump in "Code:" in Oops.

However, you objdump output doesn't give the line number.  Did you
install the corresponding debug package?  Usually this is stripped in
the main package and provided as an add-on.


thanks,

Takashi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Wed, 30 Mar 2011 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to srs@kth.se:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 12:03:03 GMT) Full text and rfc822 format available.

Message #46 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Takashi Iwai <tiwai@suse.de>
Cc: 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Wed, 30 Mar 2011 13:59:30 +0200
On Wed, 2011-03-30 at 12:59 +0200, Takashi Iwai wrote:
> At Wed, 30 Mar 2011 12:25:44 +0200,
> Svante Signell wrote:
> > 
> > On Tue, 2011-03-29 at 13:10 +0200, Takashi Iwai wrote:
> > > At Tue, 29 Mar 2011 12:58:16 +0200,
> > > Svante Signell wrote:
> > > > 
> > > > On Tue, 2011-03-29 at 12:31 +0200, Takashi Iwai wrote:
> > > > > At Tue, 29 Mar 2011 12:24:40 +0200,
> > > > > Svante Signell wrote:
> > ...
> > > > > But let's check the Oops first as below.
...
> The offset is 0x3ad.  As azx_probe() in the disassembled code begins
> with 0x1fd, it points to 0x5aa (0x1fd + 0x3ad).  You can see the
> disassembled code matches with the dump in "Code:" in Oops.

Sorry, I did not see any match in the objdump and Oops Code.
Code: f4 01 00 00 ef 31 f6 48 89 df e8 15 dd ff ff 85 c0
0f 88 2b 03 00 00 48 89 ef e8 ee 11 b9 e0 8b 7b 40 e8 9f 25 a7 e0 48 8b
43 38 <66> 8b 10 66 89 14 24 8b 43 14 83 e8 03 83 f8 01 77 32 31 d2 be 
Never mind, tanks anyway.

> However, you objdump output doesn't give the line number.  Did you
> install the corresponding debug package?  Usually this is stripped in
> the main package and provided as an add-on.

You mean that I need to install a debug version of the kernel? If yes I
will do that when having physical access to that computer again
(probably tonight or tomorrow)






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Wed, 30 Mar 2011 13:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clemens Ladisch <clemens@ladisch.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 13:24:06 GMT) Full text and rfc822 format available.

Message #51 received at 613979@bugs.debian.org (full text, mbox):

From: Clemens Ladisch <clemens@ladisch.de>
To: srs@kth.se
Cc: Takashi Iwai <tiwai@suse.de>, 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Wed, 30 Mar 2011 15:13:21 +0200
Svante Signell wrote:
> Code: f4 01 00 00 ef 31 f6 48 89 df e8 15 dd ff ff 85 c0
> 0f 88 2b 03 00 00 48 89 ef e8 ee 11 b9 e0 8b 7b 40 e8 9f 25 a7 e0 48 8b
> 43 38 <66> 8b 10 66 89 14 24 8b 43 14 83 e8 03 83 f8 01 77 32 31 d2 be

   5:   31 f6                   xor    %esi,%esi
   7:   48 89 df                mov    %rbx,%rdi
   a:   e8 15 dd ff ff          callq  0xffffffffffffdd24
   f:   85 c0                   test   %eax,%eax
  11:   0f 88 2b 03 00 00       js     0x342
  17:   48 89 ef                mov    %rbp,%rdi
  1a:   e8 ee 11 b9 e0          callq  0xffffffffe0b9120d
  1f:   8b 7b 40                mov    0x40(%rbx),%edi
  22:   e8 9f 25 a7 e0          callq  0xffffffffe0a725c6
  27:   48 8b 43 38             mov    0x38(%rbx),%rax
  2b:   66 8b 10                mov    (%rax),%dx         <-- crash here
  2e:   66 89 14 24             mov    %dx,(%rsp)
  32:   8b 43 14                mov    0x14(%rbx),%eax
  35:   83 e8 03                sub    $0x3,%eax
  38:   83 f8 01                cmp    $0x1,%eax
  3b:   77 32                   ja     0x6f
  3d:   31 d2                   xor    %edx,%edx

This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
0xffffc90011c08000 which does look like a valid pointer, but isn't.


Regards,
Clemens




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Wed, 30 Mar 2011 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <srs@kth.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 22:45:03 GMT) Full text and rfc822 format available.

Message #56 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Clemens Ladisch <clemens@ladisch.de>
Cc: Takashi Iwai <tiwai@suse.de>, 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Thu, 31 Mar 2011 00:42:46 +0200
[Message part 1 (text/plain, inline)]
On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> Svante Signell wrote:
> > Code: f4 01 00 00 ef 31 f6 48 89 df e8 15 dd ff ff 85 c0
> > 0f 88 2b 03 00 00 48 89 ef e8 ee 11 b9 e0 8b 7b 40 e8 9f 25 a7 e0 48 8b
> > 43 38 <66> 8b 10 66 89 14 24 8b 43 14 83 e8 03 83 f8 01 77 32 31 d2 be
> 
>    5:   31 f6                   xor    %esi,%esi
>    7:   48 89 df                mov    %rbx,%rdi
>    a:   e8 15 dd ff ff          callq  0xffffffffffffdd24
>    f:   85 c0                   test   %eax,%eax
>   11:   0f 88 2b 03 00 00       js     0x342
>   17:   48 89 ef                mov    %rbp,%rdi
>   1a:   e8 ee 11 b9 e0          callq  0xffffffffe0b9120d
>   1f:   8b 7b 40                mov    0x40(%rbx),%edi
>   22:   e8 9f 25 a7 e0          callq  0xffffffffe0a725c6
>   27:   48 8b 43 38             mov    0x38(%rbx),%rax
>   2b:   66 8b 10                mov    (%rax),%dx         <-- crash here
>   2e:   66 89 14 24             mov    %dx,(%rsp)
>   32:   8b 43 14                mov    0x14(%rbx),%eax
>   35:   83 e8 03                sub    $0x3,%eax
>   38:   83 f8 01                cmp    $0x1,%eax
>   3b:   77 32                   ja     0x6f
>   3d:   31 d2                   xor    %edx,%edx
> 
> This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
> 0xffffc90011c08000 which does look like a valid pointer, but isn't.

Thank you Clemens! Maybe your input is sufficient to solve this problem.
I have now installed the debug version of the kernel, the objdump output
is attached (please let me know if you are missing something).sorry, I
don't know where to find the relevant information in this file, but that
is all I have (still very large). (Does not include the error messages
on stderr, maybe something is still missing.)

Thanks!



[objdump_dbg.out (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Mon, 04 Apr 2011 08:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to srs@kth.se:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Apr 2011 08:45:06 GMT) Full text and rfc822 format available.

Message #61 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Clemens Ladisch <clemens@ladisch.de>
Cc: Takashi Iwai <tiwai@suse.de>, 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Mon, 04 Apr 2011 10:42:57 +0200
On Thu, 2011-03-31 at 00:42 +0200, Svante Signell wrote:
> On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> > Svante Signell wrote:
> > > Code: f4 01 00 00 ef 31 f6 48 89 df e8 15 dd ff ff 85 c0
> > > 0f 88 2b 03 00 00 48 89 ef e8 ee 11 b9 e0 8b 7b 40 e8 9f 25 a7 e0 48 8b
> > > 43 38 <66> 8b 10 66 89 14 24 8b 43 14 83 e8 03 83 f8 01 77 32 31 d2 be
> > 
> >    5:   31 f6                   xor    %esi,%esi
> >    7:   48 89 df                mov    %rbx,%rdi
> >    a:   e8 15 dd ff ff          callq  0xffffffffffffdd24
> >    f:   85 c0                   test   %eax,%eax
> >   11:   0f 88 2b 03 00 00       js     0x342
> >   17:   48 89 ef                mov    %rbp,%rdi
> >   1a:   e8 ee 11 b9 e0          callq  0xffffffffe0b9120d
> >   1f:   8b 7b 40                mov    0x40(%rbx),%edi
> >   22:   e8 9f 25 a7 e0          callq  0xffffffffe0a725c6
> >   27:   48 8b 43 38             mov    0x38(%rbx),%rax
> >   2b:   66 8b 10                mov    (%rax),%dx         <-- crash here
> >   2e:   66 89 14 24             mov    %dx,(%rsp)
> >   32:   8b 43 14                mov    0x14(%rbx),%eax
> >   35:   83 e8 03                sub    $0x3,%eax
> >   38:   83 f8 01                cmp    $0x1,%eax
> >   3b:   77 32                   ja     0x6f
> >   3d:   31 d2                   xor    %edx,%edx
> > 
> > This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
> > 0xffffc90011c08000 which does look like a valid pointer, but isn't.
> 
> Thank you Clemens! Maybe your input is sufficient to solve this problem.
> I have now installed the debug version of the kernel, the objdump output
> is attached (please let me know if you are missing something).sorry, I
> don't know where to find the relevant information in this file, but that
> is all I have (still very large). (Does not include the error messages
> on stderr, maybe something is still missing.)

Anything happening here with respect to this bug? How can I help
further? Booting with 2.6.32 all the time does not feel lika a good
solution in long term.

> A small except from the objdump output below. The complete file is too
> big (400k) for the mailing list. Let me know if more is needed.
> 
>  56c:   be 01 00 00 00          mov    $0x1,%esi
>  571:   48 89 ef                mov    %rbp,%rdi
>  574:   e8 00 00 00 00          callq  579 <azx_probe+0x37c>
>  579:   85 c0                   test   %eax,%eax
>  57b:   79 07                   jns    584 <azx_probe+0x387>
>  57d:   80 a3 f4 01 00 00 ef    andb   $0xef,0x1f4(%rbx)
>  584:   31 f6                   xor    %esi,%esi
>  586:   48 89 df                mov    %rbx,%rdi
>  589:   e8 00 00 00 00          callq  58e <azx_probe+0x391>
>  58e:   85 c0                   test   %eax,%eax
>  590:   0f 88 2b 03 00 00       js     8c1 <azx_probe+0x6c4>
>  596:   48 89 ef                mov    %rbp,%rdi
>  599:   e8 00 00 00 00          callq  59e <azx_probe+0x3a1>
>  59e:   8b 7b 40                mov    0x40(%rbx),%edi
>  5a1:   e8 00 00 00 00          callq  5a6 <azx_probe+0x3a9>
>  5a6:   48 8b 43 38             mov    0x38(%rbx),%rax
>  5aa:   66 8b 10                mov    (%rax),%dx     <- crash here
>  5ad:   66 89 14 24             mov    %dx,(%rsp)
>  5b1:   8b 43 14                mov    0x14(%rbx),%eax
>  5b4:   83 e8 03                sub    $0x3,%eax
>  5b7:   83 f8 01                cmp    $0x1,%eax
>  5ba:   77 32                   ja     5ee <azx_probe+0x3f1>
>  5bc:   31 d2                   xor    %edx,%edx





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Mon, 04 Apr 2011 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Apr 2011 09:15:07 GMT) Full text and rfc822 format available.

Message #66 received at 613979@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: srs@kth.se
Cc: Clemens Ladisch <clemens@ladisch.de>, 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Mon, 04 Apr 2011 11:12:17 +0200
At Mon, 04 Apr 2011 10:42:57 +0200,
Svante Signell wrote:
> 
> On Thu, 2011-03-31 at 00:42 +0200, Svante Signell wrote:
> > On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> > > Svante Signell wrote:
> > > > Code: f4 01 00 00 ef 31 f6 48 89 df e8 15 dd ff ff 85 c0
> > > > 0f 88 2b 03 00 00 48 89 ef e8 ee 11 b9 e0 8b 7b 40 e8 9f 25 a7 e0 48 8b
> > > > 43 38 <66> 8b 10 66 89 14 24 8b 43 14 83 e8 03 83 f8 01 77 32 31 d2 be
> > > 
> > >    5:   31 f6                   xor    %esi,%esi
> > >    7:   48 89 df                mov    %rbx,%rdi
> > >    a:   e8 15 dd ff ff          callq  0xffffffffffffdd24
> > >    f:   85 c0                   test   %eax,%eax
> > >   11:   0f 88 2b 03 00 00       js     0x342
> > >   17:   48 89 ef                mov    %rbp,%rdi
> > >   1a:   e8 ee 11 b9 e0          callq  0xffffffffe0b9120d
> > >   1f:   8b 7b 40                mov    0x40(%rbx),%edi
> > >   22:   e8 9f 25 a7 e0          callq  0xffffffffe0a725c6
> > >   27:   48 8b 43 38             mov    0x38(%rbx),%rax
> > >   2b:   66 8b 10                mov    (%rax),%dx         <-- crash here
> > >   2e:   66 89 14 24             mov    %dx,(%rsp)
> > >   32:   8b 43 14                mov    0x14(%rbx),%eax
> > >   35:   83 e8 03                sub    $0x3,%eax
> > >   38:   83 f8 01                cmp    $0x1,%eax
> > >   3b:   77 32                   ja     0x6f
> > >   3d:   31 d2                   xor    %edx,%edx
> > > 
> > > This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
> > > 0xffffc90011c08000 which does look like a valid pointer, but isn't.
> > 
> > Thank you Clemens! Maybe your input is sufficient to solve this problem.
> > I have now installed the debug version of the kernel, the objdump output
> > is attached (please let me know if you are missing something).sorry, I
> > don't know where to find the relevant information in this file, but that
> > is all I have (still very large). (Does not include the error messages
> > on stderr, maybe something is still missing.)
> 
> Anything happening here with respect to this bug? How can I help
> further? Booting with 2.6.32 all the time does not feel lika a good
> solution in long term.

The point where it Oops implies that the problem isn't in the sound
driver but rather in a breakage in a deeper level, either PCI core,
x86 mm or ACPI/BIOS.

Any chance to bisect the kernel?


thanks,

Takashi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Mon, 04 Apr 2011 09:22:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to srs@kth.se:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Apr 2011 09:22:46 GMT) Full text and rfc822 format available.

Message #71 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Takashi Iwai <tiwai@suse.de>
Cc: Clemens Ladisch <clemens@ladisch.de>, 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Mon, 04 Apr 2011 11:21:46 +0200
On Mon, 2011-04-04 at 11:12 +0200, Takashi Iwai wrote:
> At Mon, 04 Apr 2011 10:42:57 +0200,
> Svante Signell wrote:
> > 
> > On Thu, 2011-03-31 at 00:42 +0200, Svante Signell wrote:
> > > On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
...
> > Anything happening here with respect to this bug? How can I help
> > further? Booting with 2.6.32 all the time does not feel like a good
> > solution in long term.
> 
> The point where it Oops implies that the problem isn't in the sound
> driver but rather in a breakage in a deeper level, either PCI core,
> x86 mm or ACPI/BIOS.
> 
> Any chance to bisect the kernel?

Never done that before. Is there a bisect HOWTO somewhere?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Sun, 22 May 2011 18:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <paulepanter@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 May 2011 18:21:07 GMT) Full text and rfc822 format available.

Message #76 received at 613979@bugs.debian.org (full text, mbox):

From: Paul Menzel <paulepanter@users.sourceforge.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979@bugs.debian.org, srs@kth.se
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Sun, 22 May 2011 19:56:59 +0200
[Message part 1 (text/plain, inline)]
Am Montag, den 04.04.2011, 11:21 +0200 schrieb Svante Signell:
> On Mon, 2011-04-04 at 11:12 +0200, Takashi Iwai wrote:
> > At Mon, 04 Apr 2011 10:42:57 +0200,
> > Svante Signell wrote:
> > > 
> > > On Thu, 2011-03-31 at 00:42 +0200, Svante Signell wrote:
> > > > On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> ...
> > > Anything happening here with respect to this bug? How can I help
> > > further? Booting with 2.6.32 all the time does not feel like a good
> > > solution in long term.
> > 
> > The point where it Oops implies that the problem isn't in the sound
> > driver but rather in a breakage in a deeper level, either PCI core,
> > x86 mm or ACPI/BIOS.

The problem is still present with 2.6.39.

> > Any chance to bisect the kernel?
> 
> Never done that before. Is there a bisect HOWTO somewhere?

Ben, I am sorry to bother you directly, but there are so many howtos on
the Web, it would be great if you could point us to an “official” one,
which has proofed itself. Or maybe you could write up a blog post. ;-)

Anyway I did not find any information here.

        $ ls /usr/share/doc/linux-image-2.6.39-1-amd64/
        changelog.Debian.gz  copyright


Thanks,

Paul
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Tue, 24 May 2011 10:24:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <paulepanter@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 10:24:39 GMT) Full text and rfc822 format available.

Message #81 received at 613979@bugs.debian.org (full text, mbox):

From: Paul Menzel <paulepanter@users.sourceforge.net>
To: alsa-devel@alsa-project.org
Cc: 619034@bugs.debian.org, srs@kth.se, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Tue, 24 May 2011 12:23:31 +0200
[Message part 1 (text/plain, inline)]
Am Sonntag, den 22.05.2011, 19:56 +0200 schrieb Paul Menzel:
> Am Montag, den 04.04.2011, 11:21 +0200 schrieb Svante Signell:
> > On Mon, 2011-04-04 at 11:12 +0200, Takashi Iwai wrote:
> > > At Mon, 04 Apr 2011 10:42:57 +0200,
> > > Svante Signell wrote:
> > > > 
> > > > On Thu, 2011-03-31 at 00:42 +0200, Svante Signell wrote:
> > > > > On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> > ...
> > > > Anything happening here with respect to this bug? How can I help
> > > > further? Booting with 2.6.32 all the time does not feel like a good
> > > > solution in long term.
> > > 
> > > The point where it Oops implies that the problem isn't in the sound
> > > driver but rather in a breakage in a deeper level, either PCI core,
> > > x86 mm or ACPI/BIOS.
> 
> The problem is still present with 2.6.39.
> 
> > > Any chance to bisect the kernel?
> > 
> > Never done that before. Is there a bisect HOWTO somewhere?
> 
> Ben, I am sorry to bother you directly, but there are so many howtos on
> the Web, it would be great if you could point us to an “official” one,
> which has proofed itself. Or maybe you could write up a blog post. ;-)
> 
> Anyway I did not find any information here.
> 
>         $ ls /usr/share/doc/linux-image-2.6.39-1-amd64/
>         changelog.Debian.gz  copyright

Svante, if you have some time, could you please try to follow the Wiki
page DebianKernel/GitBisect [1] in the Debian Wiki. Unfortunately I will
not have time until the beginning of July.


Thanks,

Paul


[1] http://wiki.debian.org/DebianKernel/GitBisect
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Thu, 23 Jun 2011 08:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <srs@kth.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Jun 2011 08:09:04 GMT) Full text and rfc822 format available.

Message #86 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Paul Menzel <paulepanter@users.sourceforge.net>
Cc: 619034@bugs.debian.org, 613979@bugs.debian.org
Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
Date: Thu, 23 Jun 2011 09:40:24 +0200
> From: Paul Menzel <paulepanter@users.sourceforge.net>
> To: alsa-devel@alsa-project.org
> Cc: 619034@bugs.debian.org, srs@kth.se, 613979@bugs.debian.org
> Subject: Re: [alsa-devel] Problems with snd_hda_intel in Linux kernel 2.6.38
> Date: Tue, 24 May 2011 12:23:31 +0200
...
> > > > The point where it Oops implies that the problem isn't in the sound
> > > > driver but rather in a breakage in a deeper level, either PCI core,
> > > > x86 mm or ACPI/BIOS.
> > 
> > The problem is still present with 2.6.39.
> > 
---
> Svante, if you have some time, could you please try to follow the Wiki
> page DebianKernel/GitBisect [1] in the Debian Wiki. Unfortunately I will
> not have time until the beginning of July.
> 
> 
> Thanks,
> 
> Paul
> 
> 
> [1] http://wiki.debian.org/DebianKernel/GitBisect

Sorry, I missed your reply due to [alsa-devel] in the title and the
high traffic in the alsa-devel mailing list. I have now unsubscribed
from that mailing list since the problems are probably due to other
reasons. I will try to bisect when I find the time. Thank you for the
link.





Message sent on to Paul Menzel <pm.debian@googlemail.com>:
Bug#613979. (Thu, 14 Jul 2011 18:30:05 GMT) Full text and rfc822 format available.

Message #89 received at 613979-submitter@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Takashi Iwai <tiwai@suse.de>
Cc: srs@kth.se, Clemens Ladisch <clemens@ladisch.de>, 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979-submitter@bugs.debian.org, linux-pci@vger.kernel.org
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Thu, 14 Jul 2011 13:27:02 -0500
Hi,

Takashi Iwai wrote:
>>> On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
>>>>>>>>> Svante Signell wrote:

>>>>>>>>>> During boot of kernel 2.6.38 (and 2.6.37) udev bugs out:
>>>>>>>>>> Waiting for /dev to be fully populated
>>>>>>>>>> BUG: Unable to handle kernel paging request at ffffc90013cd8000
>>>>>>>>>> axz_probe+ ... [snd_hda_intel]
>>>>>>>>>> ...lots of output lost...
>>>>>>>>>> udevadm timeout 180 sec ...
>>>>>>>>>> udevd[390]: worker [439] failed while handling
>>>>>>>>>> '/devices/pci0000:80/0000:80:01.0'
>>>>>>>>>> 
>>>>>>>>>> After the timeout the boot continues! Have not yet tested if sound is
>>>>>>>>>> functional.
[...]
>>>> This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
>>>> 0xffffc90011c08000 which does look like a valid pointer, but isn't.
[...]
> The point where it Oops implies that the problem isn't in the sound
> driver but rather in a breakage in a deeper level, either PCI core,
> x86 mm or ACPI/BIOS.
>
> Any chance to bisect the kernel?

Svante bisected it to v2.6.34-rc1~218^2~27 (x86/pci: Use
resource_size_t in update_res, 2010-02-10) --- thanks.  Which is
pretty weird, since I think phys_addr_t on an amd64 machine (and hence
resource_size_t) would be 64 bits, making that commit a no-op.

Svante, more questions (sorry):

 - could you try booting b74fd238a9cf and b74fd238a9cf^ again
   (to make sure we haven't hit a heisenbug) and send the
   corresponding full dmesg and .config files?

Puzzled,
Jonathan




Message sent on to Paul Menzel <pm.debian@googlemail.com>:
Bug#613979. (Thu, 14 Jul 2011 21:54:05 GMT) Full text and rfc822 format available.

Message #92 received at 613979-submitter@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Takashi Iwai <tiwai@suse.de>, Clemens Ladisch <clemens@ladisch.de>, 619034@bugs.debian.org, alsa-devel@alsa-project.org, 613979-submitter@bugs.debian.org, linux-pci@vger.kernel.org
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Thu, 14 Jul 2011 23:35:22 +0200
On Thu, 2011-07-14 at 13:27 -0500, Jonathan Nieder wrote:
> Hi,
> 
> Takashi Iwai wrote:
> >>> On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> >>>>>>>>> Svante Signell wrote:
> 
> >>>>>>>>>> During boot of kernel 2.6.38 (and 2.6.37) udev bugs out:
> >>>>>>>>>> Waiting for /dev to be fully populated
> >>>>>>>>>> BUG: Unable to handle kernel paging request at ffffc90013cd8000
> >>>>>>>>>> axz_probe+ ... [snd_hda_intel]
> >>>>>>>>>> ...lots of output lost...
> >>>>>>>>>> udevadm timeout 180 sec ...
> >>>>>>>>>> udevd[390]: worker [439] failed while handling
> >>>>>>>>>> '/devices/pci0000:80/0000:80:01.0'
> >>>>>>>>>> 
> >>>>>>>>>> After the timeout the boot continues! Have not yet tested if sound is
> >>>>>>>>>> functional.
> [...]
> >>>> This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
> >>>> 0xffffc90011c08000 which does look like a valid pointer, but isn't.
> [...]
> > The point where it Oops implies that the problem isn't in the sound
> > driver but rather in a breakage in a deeper level, either PCI core,
> > x86 mm or ACPI/BIOS.
> >
> > Any chance to bisect the kernel?
> 
> Svante bisected it to v2.6.34-rc1~218^2~27 (x86/pci: Use
> resource_size_t in update_res, 2010-02-10) --- thanks.  Which is
> pretty weird, since I think phys_addr_t on an amd64 machine (and hence
> resource_size_t) would be 64 bits, making that commit a no-op.
> 
> Svante, more questions (sorry):
> 
>  - could you try booting b74fd238a9cf and b74fd238a9cf^ again
>    (to make sure we haven't hit a heisenbug) and send the
>    corresponding full dmesg and .config files?

I am very sorry but I don't have physical access to that box for a month
from now. However, something that might be more interesting is the
output of the second-to last message that was concerning
x86/pci/amd/.... I might get help to find that message in a few days.









Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Thu, 14 Jul 2011 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jul 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #97 received at 613979@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: srs@kth.se, 613979@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Takashi Iwai <tiwai@suse.de>, Clemens Ladisch <clemens@ladisch.de>, 619034@bugs.debian.org, alsa-devel@alsa-project.org, linux-pci@vger.kernel.org
Subject: Re: Bug#613979: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Fri, 15 Jul 2011 00:12:11 +0200
[Message part 1 (text/plain, inline)]
Am Donnerstag, den 14.07.2011, 23:35 +0200 schrieb Svante Signell:
> On Thu, 2011-07-14 at 13:27 -0500, Jonathan Nieder wrote:

> > Takashi Iwai wrote:
> > >>> On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> > >>>>>>>>> Svante Signell wrote:
> > 
> > >>>>>>>>>> During boot of kernel 2.6.38 (and 2.6.37) udev bugs out:
> > >>>>>>>>>> Waiting for /dev to be fully populated
> > >>>>>>>>>> BUG: Unable to handle kernel paging request at ffffc90013cd8000
> > >>>>>>>>>> axz_probe+ ... [snd_hda_intel]
> > >>>>>>>>>> ...lots of output lost...
> > >>>>>>>>>> udevadm timeout 180 sec ...
> > >>>>>>>>>> udevd[390]: worker [439] failed while handling
> > >>>>>>>>>> '/devices/pci0000:80/0000:80:01.0'
> > >>>>>>>>>> 
> > >>>>>>>>>> After the timeout the boot continues! Have not yet tested if sound is
> > >>>>>>>>>> functional.
> > [...]
> > >>>> This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
> > >>>> 0xffffc90011c08000 which does look like a valid pointer, but isn't.
> > [...]
> > > The point where it Oops implies that the problem isn't in the sound
> > > driver but rather in a breakage in a deeper level, either PCI core,
> > > x86 mm or ACPI/BIOS.
> > >
> > > Any chance to bisect the kernel?
> > 
> > Svante bisected it to v2.6.34-rc1~218^2~27 (x86/pci: Use
> > resource_size_t in update_res, 2010-02-10) --- thanks.  Which is
> > pretty weird, since I think phys_addr_t on an amd64 machine (and hence
> > resource_size_t) would be 64 bits, making that commit a no-op.

I just want to add that I experience this with an AMD 64-bit processor
but 32-bit userspace and linux-image-…-amd64 and -686-pae.

> > Svante, more questions (sorry):
> > 
> >  - could you try booting b74fd238a9cf and b74fd238a9cf^ again
> >    (to make sure we haven't hit a heisenbug) and send the
> >    corresponding full dmesg and .config files?
> 
> I am very sorry but I don't have physical access to that box for a month
> from now.

Having the same I could do also some tests over the weekend. I only need
some instructions how to do that. Svante, could you please paste your
commands for generating your Linux kernel package.

[…]


Thanks,

Paul
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Sat, 13 Aug 2011 18:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 13 Aug 2011 18:27:08 GMT) Full text and rfc822 format available.

Message #102 received at 613979@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Paul Menzel <pm.debian@googlemail.com>
Cc: srs@kth.se, 613979@bugs.debian.org
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Sat, 13 Aug 2011 13:23:09 -0500
(Dropping upstream from the cc list.  Please remember to reply
 upthread when you want to reach them.)
Hi Paul,

Paul Menzel wrote:
> Am Donnerstag, den 14.07.2011, 23:35 +0200 schrieb Svante Signell:
>> On Thu, 2011-07-14 at 13:27 -0500, Jonathan Nieder wrote:

>>>  - could you try booting b74fd238a9cf and b74fd238a9cf^ again
>>>    (to make sure we haven't hit a heisenbug) and send the
>>>    corresponding full dmesg and .config files?
>>
>> I am very sorry but I don't have physical access to that box for a month
>> from now.
>
> Having the same I could do also some tests over the weekend. I only need
> some instructions how to do that. Svante, could you please paste your
> commands for generating your Linux kernel package.

Here is one way:

 # apt-get install git build-essential
 $ git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
 $ cd linux
 $ git checkout b74fd238a9cf^
 $ make localmodconfig; # minimal configuration
 $ make deb-pkg; # can add -j<n> for parallel build
 # dpkg -i ../<name of package>
 # reboot
 ... test test test ...

 $ cd ~/src/linux
 $ git checkout b74fd238a9cf
 $ make silentoldconfig; # reuse configuration
 $ make deb-pkg
 # dpkg -i ../<name of package>
 # reboot

Some more details on building the kernel are at
http://kernel-handbook.alioth.debian.org/ and in the
debian-kernel-handbook package, though I wouldn't be surprised if
there are details missing (in which case bug reports would be
appreciated).

Thanks, and sorry for my slow response.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Sat, 13 Aug 2011 22:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 13 Aug 2011 22:21:06 GMT) Full text and rfc822 format available.

Message #107 received at 613979@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: srs@kth.se, 613979@bugs.debian.org
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Sun, 14 Aug 2011 00:19:38 +0200
[Message part 1 (text/plain, inline)]
Dear Jonathan,


Am Samstag, den 13.08.2011, 13:23 -0500 schrieb Jonathan Nieder:

> Paul Menzel wrote:
> > Am Donnerstag, den 14.07.2011, 23:35 +0200 schrieb Svante Signell:
> >> On Thu, 2011-07-14 at 13:27 -0500, Jonathan Nieder wrote:
> 
> >>>  - could you try booting b74fd238a9cf and b74fd238a9cf^ again
> >>>    (to make sure we haven't hit a heisenbug) and send the
> >>>    corresponding full dmesg and .config files?
> >>
> >> I am very sorry but I don't have physical access to that box for a month
> >> from now.
> >
> > Having the same I could do also some tests over the weekend. I only need
> > some instructions how to do that. Svante, could you please paste your
> > commands for generating your Linux kernel package.
> 
> Here is one way:
> 
>  # apt-get install git build-essential
>  $ git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git

I had the sound tree (ALSA) already on my system and took that.

>  $ cd linux
>  $ git checkout b74fd238a9cf^
>  $ make localmodconfig; # minimal configuration

`/boot/config-2.6.32-5-amd64` was used as the template for the
configuration. For new options I just chose the defaults. Please find my
config attached.

>  $ make deb-pkg; # can add -j<n> for parallel build

`make -j2 deb-pkg` failed with the following error.

        In file included from /opt/sound-2.6/arch/x86/include/asm/hardirq.h:5:0,
                         from include/linux/hardirq.h:10,
                         from include/linux/interrupt.h:12,
                         from include/linux/kernel_stat.h:8,
                         from /srv/filme/oe/sound-2.6/arch/x86/include/asm/i387.h:16,
                         from arch/x86/kernel/signal.c:26:
        include/linux/irq.h: In function ‘alloc_desc_masks’:
        include/linux/irq.h:439:8: warning: variable ‘gfp’ set but not used [-Wunused-but-set-variable]
          AS      arch/x86/kernel/entry_64.o
          CC      init/calibrate.o
        /tmp/ccTMpQIL.s: Assembler messages:
        /tmp/ccTMpQIL.s: Error: .size expression for do_hypervisor_callback does not evaluate to a constant
        make[4]: *** [arch/x86/kernel/entry_64.o] Fehler 1
        make[3]: *** [arch/x86/kernel] Fehler 2
        make[2]: *** [arch/x86] Fehler 2

I get the same error without `-j2`. Please note that I am using a 32-bit
user space with a 64-bit Linux kernel.

        $ dpkg --print-architecture
        i386
        $ uname -m
        x86_64

>  # dpkg -i ../<name of package>
>  # reboot
>  ... test test test ...

I will look more into that later on.

[…]

> Thanks, and sorry for my slow response.

Thank you very much for your help and your work on Debian.


Thanks,

Paul
[.config (text/x-mpsub, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Sat, 13 Aug 2011 22:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 13 Aug 2011 22:51:07 GMT) Full text and rfc822 format available.

Message #112 received at 613979@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Paul Menzel <pm.debian@googlemail.com>
Cc: srs@kth.se, 613979@bugs.debian.org
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Sat, 13 Aug 2011 17:46:35 -0500
Paul Menzel wrote:

> `make -j2 deb-pkg` failed with the following error.
>
>         In file included from /opt/sound-2.6/arch/x86/include/asm/hardirq.h:5:0,
>                          from include/linux/hardirq.h:10,
>                          from include/linux/interrupt.h:12,
>                          from include/linux/kernel_stat.h:8,
>                          from /srv/filme/oe/sound-2.6/arch/x86/include/asm/i387.h:16,
>                          from arch/x86/kernel/signal.c:26:
>         include/linux/irq.h: In function ‘alloc_desc_masks’:
>         include/linux/irq.h:439:8: warning: variable ‘gfp’ set but not used [-Wunused-but-set-variable]
>           AS      arch/x86/kernel/entry_64.o
>           CC      init/calibrate.o
>         /tmp/ccTMpQIL.s: Assembler messages:
>         /tmp/ccTMpQIL.s: Error: .size expression for do_hypervisor_callback does not evaluate to a constant
>         make[4]: *** [arch/x86/kernel/entry_64.o] Fehler 1
>         make[3]: *** [arch/x86/kernel] Fehler 2
>         make[2]: *** [arch/x86] Fehler 2

Yep, I forgot about binutils bug#620448.  If you put this script
somewhere before /usr/bin on your $PATH, make it executable, and name
it "as", that should work around it.

	#!/bin/sh
	exec /usr/bin/as --size-check=warning "$@"

If you're using gcc 4.6, the change from de2a8cf9 (e.g., grab it
using "git cherry-pick de2a8cf9") is also needed.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Mon, 15 Aug 2011 13:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Aug 2011 13:03:17 GMT) Full text and rfc822 format available.

Message #117 received at 613979@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: srs@kth.se, 613979@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, linux-pci@vger.kernel.org, Yinghai Lu <yinghai@kernel.org>, Jesse Barnes <jbarnes@virtuousgeek.org>, "H. Peter Anvin" <hpa@zytor.com>
Subject: Re: Bug#613979: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Mon, 15 Aug 2011 15:00:11 +0200
[Message part 1 (text/plain, inline)]
Dear folks,


Am Donnerstag, den 14.07.2011, 23:35 +0200 schrieb Svante Signell:
> On Thu, 2011-07-14 at 13:27 -0500, Jonathan Nieder wrote:

> > Takashi Iwai wrote:
> > >>> On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> > >>>>>>>>> Svante Signell wrote:
> > 
> > >>>>>>>>>> During boot of kernel 2.6.38 (and 2.6.37) udev bugs out:
> > >>>>>>>>>> Waiting for /dev to be fully populated
> > >>>>>>>>>> BUG: Unable to handle kernel paging request at ffffc90013cd8000
> > >>>>>>>>>> axz_probe+ ... [snd_hda_intel]
> > >>>>>>>>>> ...lots of output lost...
> > >>>>>>>>>> udevadm timeout 180 sec ...
> > >>>>>>>>>> udevd[390]: worker [439] failed while handling
> > >>>>>>>>>> '/devices/pci0000:80/0000:80:01.0'
> > >>>>>>>>>> 
> > >>>>>>>>>> After the timeout the boot continues! Have not yet tested if sound is
> > >>>>>>>>>> functional.
> > [...]
> > >>>> This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
> > >>>> 0xffffc90011c08000 which does look like a valid pointer, but isn't.
> > [...]
> > > The point where it Oops implies that the problem isn't in the sound
> > > driver but rather in a breakage in a deeper level, either PCI core,
> > > x86 mm or ACPI/BIOS.
> > >
> > > Any chance to bisect the kernel?
> > 
> > Svante bisected it to v2.6.34-rc1~218^2~27 (x86/pci: Use
> > resource_size_t in update_res, 2010-02-10) --- thanks.  Which is
> > pretty weird, since I think phys_addr_t on an amd64 machine (and hence
> > resource_size_t) would be 64 bits, making that commit a no-op.
> > 
> > Svante, more questions (sorry):
> > 
> >  - could you try booting b74fd238a9cf and b74fd238a9cf^ again
> >    (to make sure we haven't hit a heisenbug) and send the
> >    corresponding full dmesg and .config files?
> 
> I am very sorry but I don't have physical access to that box for a month
> from now. However, something that might be more interesting is the
> output of the second-to last message that was concerning
> x86/pci/amd/.... I might get help to find that message in a few days.

thanks to Jonathan’s help I was able to perform the bisection.

        $ git bisect start 0f2cc4ecd81dc1917a041dc93db0ada28f8356fa 8724fdb53d27d7b59b60c8a399cc67f9abfabb33
        […]
        $ git bisect log
        # bad: [0f2cc4ecd81dc1917a041dc93db0ada28f8356fa] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs-2.6
        # good: [8724fdb53d27d7b59b60c8a399cc67f9abfabb33] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/dtor/input
        git bisect start '0f2cc4ecd81dc1917a041dc93db0ada28f8356fa' '8724fdb53d27d7b59b60c8a399cc67f9abfabb33'
        # good: [14f3ad6f4a12495b32b0dd743bc7179f36658208] ipv6: Use 1280 as min MTU for ipv6 forwarding
        git bisect good 14f3ad6f4a12495b32b0dd743bc7179f36658208
        # good: [60f8a8d4c6c46bb080e8e65d30be31b172a39a78] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mszeredi/fuse
        git bisect good 60f8a8d4c6c46bb080e8e65d30be31b172a39a78
        # bad: [7f5b09c15ab989ed5ce4adda0be42c1302df70b7] Merge git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usb-2.6
        git bisect bad 7f5b09c15ab989ed5ce4adda0be42c1302df70b7
        # good: [9f445cb29918dc488b7a9a92ef018599cce33df7] USB: musb: disable double buffering for older RTL versions
        git bisect good 9f445cb29918dc488b7a9a92ef018599cce33df7
        # bad: [fb7b096d949fa852442ed9d8f982bce526ccfe7e] Merge branch 'x86-apic-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/linux-2.6-tip
        git bisect bad fb7b096d949fa852442ed9d8f982bce526ccfe7e
        # bad: [dce46a04d55d6358d2d4ab44a4946a19f9425fe2] early_res: Need to save the allocation name in drop_range_partial()
        git bisect bad dce46a04d55d6358d2d4ab44a4946a19f9425fe2
        # bad: [c252a5bb1f57afb1e336d68085217727ca7b2134] x86: Only call dma32_reserve_bootmem 64bit !CONFIG_NUMA
        git bisect bad c252a5bb1f57afb1e336d68085217727ca7b2134
        # bad: [9ad3f2c7c69659c343843393944d739fec1f2e73] x86/pci: Add cap_resource()
        git bisect bad 9ad3f2c7c69659c343843393944d739fec1f2e73
        # good: [27811d8cabe56e0c3622251b049086f49face4ff] x86: Move range related operation to one file
        git bisect good 27811d8cabe56e0c3622251b049086f49face4ff
        # bad: [3e3da00c01d050307e753fb7b3e84aefc16da0d0] x86/pci: AMD one chain system to use pci read out res
        git bisect bad 3e3da00c01d050307e753fb7b3e84aefc16da0d0

and `git bisect` showed me the same faulty commit as Svante found out:
b74fd238 [2].

        commit b74fd238a9cf39a81d94152f375b756bf795b4af
        Author: Yinghai Lu <yinghai@kernel.org>
        Date:   Wed Feb 10 01:20:08 2010 -0800
        
            x86/pci: Use resource_size_t in update_res

(Is there a command to show that summary again? I could not find it in
the help.)

But I before started with the bisection I tried what Jonathan asked
Svante to do and b74fd238a9cf and b74fd238a9cf^ did not show these
problems. Additionally it is weird that I never had to test that commit
b74fd238 in that bisection run.

I will test it again¹ and rebuild it and report back. But I would
suspect 3e3da00c [2] as the culprit.

        commit 3e3da00c01d050307e753fb7b3e84aefc16da0d0
        Author: Yinghai Lu <yinghai@kernel.org>
        Date:   Wed Feb 10 01:20:09 2010 -0800
        
            x86/pci: AMD one chain system to use pci read out res

`make` should take care of all necessary recompilations I guess, so no
`make clean`(?) is required.


Thanks,

Paul 


¹ It would be nice if the SHA1 checksum of the commit could be
incorporated in the Debian package somehow.


[1] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b74fd238a9cf39a81d94152f375b756bf795b4af
[2] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=3e3da00c01d050307e753fb7b3e84aefc16da0d0
[.config.2.6.33-3e3da00c01d050307e753fb7b3e84aefc16da0d0 (text/x-mpsub, attachment)]
[20110814--2.6.33-3e3da00c01d050307e753fb7b3e84aefc16da0d0 (text/plain, attachment)]
[.config.2.6.33-27811d8cabe56e0c3622251b049086f49face4ff (text/x-mpsub, attachment)]
[20110814--2.6.33-27811d8cabe56e0c3622251b049086f49face4ff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Mon, 15 Aug 2011 13:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Aug 2011 13:21:05 GMT) Full text and rfc822 format available.

Message #122 received at 613979@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 613979@bugs.debian.org
Cc: srs@kth.se, Jonathan Nieder <jrnieder@gmail.com>, linux-pci@vger.kernel.org, Yinghai Lu <yinghai@kernel.org>, Jesse Barnes <jbarnes@virtuousgeek.org>, "H. Peter Anvin" <hpa@zytor.com>
Subject: Re: Bug#613979: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Mon, 15 Aug 2011 15:18:33 +0200
[Message part 1 (text/plain, inline)]
Dear folks,


Am Montag, den 15.08.2011, 15:00 +0200 schrieb Paul Menzel:

> Am Donnerstag, den 14.07.2011, 23:35 +0200 schrieb Svante Signell:
> > On Thu, 2011-07-14 at 13:27 -0500, Jonathan Nieder wrote:
> 
> > > Takashi Iwai wrote:
> > > >>> On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> > > >>>>>>>>> Svante Signell wrote:
> > > 
> > > >>>>>>>>>> During boot of kernel 2.6.38 (and 2.6.37) udev bugs out:
> > > >>>>>>>>>> Waiting for /dev to be fully populated
> > > >>>>>>>>>> BUG: Unable to handle kernel paging request at ffffc90013cd8000
> > > >>>>>>>>>> axz_probe+ ... [snd_hda_intel]
> > > >>>>>>>>>> ...lots of output lost...
> > > >>>>>>>>>> udevadm timeout 180 sec ...
> > > >>>>>>>>>> udevd[390]: worker [439] failed while handling
> > > >>>>>>>>>> '/devices/pci0000:80/0000:80:01.0'
> > > >>>>>>>>>> 
> > > >>>>>>>>>> After the timeout the boot continues! Have not yet tested if sound is
> > > >>>>>>>>>> functional.
> > > [...]
> > > >>>> This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
> > > >>>> 0xffffc90011c08000 which does look like a valid pointer, but isn't.
> > > [...]
> > > > The point where it Oops implies that the problem isn't in the sound
> > > > driver but rather in a breakage in a deeper level, either PCI core,
> > > > x86 mm or ACPI/BIOS.
> > > >
> > > > Any chance to bisect the kernel?
> > > 
> > > Svante bisected it to v2.6.34-rc1~218^2~27 (x86/pci: Use
> > > resource_size_t in update_res, 2010-02-10) --- thanks.  Which is
> > > pretty weird, since I think phys_addr_t on an amd64 machine (and hence
> > > resource_size_t) would be 64 bits, making that commit a no-op.
> > > 
> > > Svante, more questions (sorry):
> > > 
> > >  - could you try booting b74fd238a9cf and b74fd238a9cf^ again
> > >    (to make sure we haven't hit a heisenbug) and send the
> > >    corresponding full dmesg and .config files?
> > 
> > I am very sorry but I don't have physical access to that box for a month
> > from now. However, something that might be more interesting is the
> > output of the second-to last message that was concerning
> > x86/pci/amd/.... I might get help to find that message in a few days.
> 
> thanks to Jonathan’s help I was able to perform the bisection.
> 
>         $ git bisect start 0f2cc4ecd81dc1917a041dc93db0ada28f8356fa 8724fdb53d27d7b59b60c8a399cc67f9abfabb33
>         […]
>         $ git bisect log
>         # bad: [0f2cc4ecd81dc1917a041dc93db0ada28f8356fa] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs-2.6
>         # good: [8724fdb53d27d7b59b60c8a399cc67f9abfabb33] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/dtor/input
>         git bisect start '0f2cc4ecd81dc1917a041dc93db0ada28f8356fa' '8724fdb53d27d7b59b60c8a399cc67f9abfabb33'
>         # good: [14f3ad6f4a12495b32b0dd743bc7179f36658208] ipv6: Use 1280 as min MTU for ipv6 forwarding
>         git bisect good 14f3ad6f4a12495b32b0dd743bc7179f36658208
>         # good: [60f8a8d4c6c46bb080e8e65d30be31b172a39a78] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mszeredi/fuse
>         git bisect good 60f8a8d4c6c46bb080e8e65d30be31b172a39a78
>         # bad: [7f5b09c15ab989ed5ce4adda0be42c1302df70b7] Merge git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usb-2.6
>         git bisect bad 7f5b09c15ab989ed5ce4adda0be42c1302df70b7
>         # good: [9f445cb29918dc488b7a9a92ef018599cce33df7] USB: musb: disable double buffering for older RTL versions
>         git bisect good 9f445cb29918dc488b7a9a92ef018599cce33df7
>         # bad: [fb7b096d949fa852442ed9d8f982bce526ccfe7e] Merge branch 'x86-apic-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/linux-2.6-tip
>         git bisect bad fb7b096d949fa852442ed9d8f982bce526ccfe7e
>         # bad: [dce46a04d55d6358d2d4ab44a4946a19f9425fe2] early_res: Need to save the allocation name in drop_range_partial()
>         git bisect bad dce46a04d55d6358d2d4ab44a4946a19f9425fe2
>         # bad: [c252a5bb1f57afb1e336d68085217727ca7b2134] x86: Only call dma32_reserve_bootmem 64bit !CONFIG_NUMA
>         git bisect bad c252a5bb1f57afb1e336d68085217727ca7b2134
>         # bad: [9ad3f2c7c69659c343843393944d739fec1f2e73] x86/pci: Add cap_resource()
>         git bisect bad 9ad3f2c7c69659c343843393944d739fec1f2e73
>         # good: [27811d8cabe56e0c3622251b049086f49face4ff] x86: Move range related operation to one file
>         git bisect good 27811d8cabe56e0c3622251b049086f49face4ff
>         # bad: [3e3da00c01d050307e753fb7b3e84aefc16da0d0] x86/pci: AMD one chain system to use pci read out res
>         git bisect bad 3e3da00c01d050307e753fb7b3e84aefc16da0d0
> 
> and `git bisect` showed me the same faulty commit as Svante found out:
> b74fd238 [2].
> 
>         commit b74fd238a9cf39a81d94152f375b756bf795b4af
>         Author: Yinghai Lu <yinghai@kernel.org>
>         Date:   Wed Feb 10 01:20:08 2010 -0800
>         
>             x86/pci: Use resource_size_t in update_res
> 
> (Is there a command to show that summary again? I could not find it in
> the help.)
> 
> But I before started with the bisection I tried what Jonathan asked
> Svante to do and b74fd238a9cf and b74fd238a9cf^ did not show these
> problems. Additionally it is weird that I never had to test that commit
> b74fd238 in that bisection run.
> 
> I will test it again¹ and rebuild it and report back. But I would
> suspect 3e3da00c [2] as the culprit.
> 
>         commit 3e3da00c01d050307e753fb7b3e84aefc16da0d0
>         Author: Yinghai Lu <yinghai@kernel.org>
>         Date:   Wed Feb 10 01:20:09 2010 -0800
>         
>             x86/pci: AMD one chain system to use pci read out res
> 
> `make` should take care of all necessary recompilations I guess, so no
> `make clean`(?) is required.

So from my perspective I would say `git bisect` has a bug.

        $ git --version
        git version 1.7.5.4

Here is the new result.

        $ git bisect good b74fd238a9cf39a81d94152f375b756bf795b4af
        3e3da00c01d050307e753fb7b3e84aefc16da0d0 is the first bad commit
        commit 3e3da00c01d050307e753fb7b3e84aefc16da0d0
        Author: Yinghai Lu <yinghai@kernel.org>
        Date:   Wed Feb 10 01:20:09 2010 -0800
        
            x86/pci: AMD one chain system to use pci read out res
            
            Found MSI amd k8 based laptops is hiding [0x70000000, 0x80000000) RAM
            from e820.
            
            enable amd one chain even for all.
            
            -v2: use bool for found, according to Andrew
            
            Signed-off-by: Yinghai Lu <yinghai@kernel.org>
            LKML-Reference: <1265793639-15071-6-git-send-email-yinghai@kernel.org>
            Acked-by: Jesse Barnes <jbarnes@virtuousgeek.org>
            Signed-off-by: H. Peter Anvin <hpa@zytor.com>
        
        :040000 040000 44e134ff22492c50d49c5e66880cfbf0b6738e50 f3e9511913b613c2f98e96136927b5ed44736e4e M	arch

Please notice that with this patch also the following messages seem to
start to be written to the Linux kernel ring buffer (`dmesg`).

        [    0.227319] pnp 00:0e: disabling [mem 0x00000000-0x0009ffff] because it overlaps 0000:00:00.0 BAR 0 [mem 0x00000000-0x07ffffff pref]
        [    0.227324] pnp 00:0e: disabling [mem 0x000c0000-0x000bffff disabled] because it overlaps 0000:00:00.0 BAR 0 [mem 0x00000000-0x07ffffff pref]
        [    0.227330] pnp 00:0e: disabling [mem 0x000e0000-0x000fffff] because it overlaps 0000:00:00.0 BAR 0 [mem 0x00000000-0x07ffffff pref]
        [    0.227334] pnp 00:0e: disabling [mem 0x00100000-0x77ffffff] because it overlaps 0000:00:00.0 BAR 0 [mem 0x00000000-0x07ffffff pref]


Thanks,

Paul


> ¹ It would be nice if the SHA1 checksum of the commit could be
> incorporated in the Debian package somehow.
> 
> 
> [1] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b74fd238a9cf39a81d94152f375b756bf795b4af
> [2] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=3e3da00c01d050307e753fb7b3e84aefc16da0d0
[.config.2.6.33-b74fd238a9cf39a81d94152f375b756bf795b4af (text/x-mpsub, attachment)]
[20110814--2.6.33-b74fd238a9cf39a81d94152f375b756bf795b4af (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Tue, 16 Aug 2011 20:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Aug 2011 20:03:14 GMT) Full text and rfc822 format available.

Message #127 received at 613979@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Svante Signell <srs@kth.se>
Cc: Paul Menzel <pm.debian@googlemail.com>, 613979@bugs.debian.org, linux-pci@vger.kernel.org, Yinghai Lu <yinghai@kernel.org>, Jesse Barnes <jbarnes@virtuousgeek.org>, "H. Peter Anvin" <hpa@zytor.com>
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Tue, 16 Aug 2011 15:01:53 -0500
Hi Svante,

Svante Signell wrote:

[lots of irrelevant context snipped]
> I'm back now and have physical access to the computer. How can I confirm
> the commit causing the problems?

Thanks for the offer.  Testing 3e3da00c and 3e3da00c^ would be
interesting; posting a boot log from an affected kernel with both
"debug" and "ignore_loglevel" on the kernel command line to

 https://bugzilla.kernel.org/show_bug.cgi?id=30552

would also be helpful.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Tue, 16 Aug 2011 20:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <srs@kth.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Aug 2011 20:30:10 GMT) Full text and rfc822 format available.

Message #132 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Paul Menzel <pm.debian@googlemail.com>
Cc: 613979@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, linux-pci@vger.kernel.org, Yinghai Lu <yinghai@kernel.org>, Jesse Barnes <jbarnes@virtuousgeek.org>, "H. Peter Anvin" <hpa@zytor.com>
Subject: Re: Bug#613979: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Tue, 16 Aug 2011 21:55:12 +0200
On Mon, 2011-08-15 at 15:18 +0200, Paul Menzel wrote:
> Dear folks,
> 
> 
> Am Montag, den 15.08.2011, 15:00 +0200 schrieb Paul Menzel:
> 
> > Am Donnerstag, den 14.07.2011, 23:35 +0200 schrieb Svante Signell:
> > > On Thu, 2011-07-14 at 13:27 -0500, Jonathan Nieder wrote:
> > 
> > > > Takashi Iwai wrote:
> > > > >>> On Wed, 2011-03-30 at 15:13 +0200, Clemens Ladisch wrote:
> > > > >>>>>>>>> Svante Signell wrote:
> > > > 
> > > > >>>>>>>>>> During boot of kernel 2.6.38 (and 2.6.37) udev bugs out:
> > > > >>>>>>>>>> Waiting for /dev to be fully populated
> > > > >>>>>>>>>> BUG: Unable to handle kernel paging request at ffffc90013cd8000
> > > > >>>>>>>>>> axz_probe+ ... [snd_hda_intel]
> > > > >>>>>>>>>> ...lots of output lost...
> > > > >>>>>>>>>> udevadm timeout 180 sec ...
> > > > >>>>>>>>>> udevd[390]: worker [439] failed while handling
> > > > >>>>>>>>>> '/devices/pci0000:80/0000:80:01.0'
> > > > >>>>>>>>>> 
> > > > >>>>>>>>>> After the timeout the boot continues! Have not yet tested if sound is
> > > > >>>>>>>>>> functional.
> > > > [...]
> > > > >>>> This is the azx_readw(chip, GCAP) in azx_create(); chip->remap_addr is
> > > > >>>> 0xffffc90011c08000 which does look like a valid pointer, but isn't.
> > > > [...]
> > > > > The point where it Oops implies that the problem isn't in the sound
> > > > > driver but rather in a breakage in a deeper level, either PCI core,
> > > > > x86 mm or ACPI/BIOS.
> > > > >
> > > > > Any chance to bisect the kernel?
> > > > 
> > > > Svante bisected it to v2.6.34-rc1~218^2~27 (x86/pci: Use
> > > > resource_size_t in update_res, 2010-02-10) --- thanks.  Which is
> > > > pretty weird, since I think phys_addr_t on an amd64 machine (and hence
> > > > resource_size_t) would be 64 bits, making that commit a no-op.
> > > > 
> > > > Svante, more questions (sorry):
> > > > 
> > > >  - could you try booting b74fd238a9cf and b74fd238a9cf^ again
> > > >    (to make sure we haven't hit a heisenbug) and send the
> > > >    corresponding full dmesg and .config files?
> > > 
> > > I am very sorry but I don't have physical access to that box for a month
> > > from now. However, something that might be more interesting is the
> > > output of the second-to last message that was concerning
> > > x86/pci/amd/.... I might get help to find that message in a few days.
> > 
> > thanks to Jonathan’s help I was able to perform the bisection.
> > 
> >         $ git bisect start 0f2cc4ecd81dc1917a041dc93db0ada28f8356fa 8724fdb53d27d7b59b60c8a399cc67f9abfabb33
> >         […]
> >         $ git bisect log
> >         # bad: [0f2cc4ecd81dc1917a041dc93db0ada28f8356fa] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs-2.6
> >         # good: [8724fdb53d27d7b59b60c8a399cc67f9abfabb33] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/dtor/input
> >         git bisect start '0f2cc4ecd81dc1917a041dc93db0ada28f8356fa' '8724fdb53d27d7b59b60c8a399cc67f9abfabb33'
> >         # good: [14f3ad6f4a12495b32b0dd743bc7179f36658208] ipv6: Use 1280 as min MTU for ipv6 forwarding
> >         git bisect good 14f3ad6f4a12495b32b0dd743bc7179f36658208
> >         # good: [60f8a8d4c6c46bb080e8e65d30be31b172a39a78] Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mszeredi/fuse
> >         git bisect good 60f8a8d4c6c46bb080e8e65d30be31b172a39a78
> >         # bad: [7f5b09c15ab989ed5ce4adda0be42c1302df70b7] Merge git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usb-2.6
> >         git bisect bad 7f5b09c15ab989ed5ce4adda0be42c1302df70b7
> >         # good: [9f445cb29918dc488b7a9a92ef018599cce33df7] USB: musb: disable double buffering for older RTL versions
> >         git bisect good 9f445cb29918dc488b7a9a92ef018599cce33df7
> >         # bad: [fb7b096d949fa852442ed9d8f982bce526ccfe7e] Merge branch 'x86-apic-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/linux-2.6-tip
> >         git bisect bad fb7b096d949fa852442ed9d8f982bce526ccfe7e
> >         # bad: [dce46a04d55d6358d2d4ab44a4946a19f9425fe2] early_res: Need to save the allocation name in drop_range_partial()
> >         git bisect bad dce46a04d55d6358d2d4ab44a4946a19f9425fe2
> >         # bad: [c252a5bb1f57afb1e336d68085217727ca7b2134] x86: Only call dma32_reserve_bootmem 64bit !CONFIG_NUMA
> >         git bisect bad c252a5bb1f57afb1e336d68085217727ca7b2134
> >         # bad: [9ad3f2c7c69659c343843393944d739fec1f2e73] x86/pci: Add cap_resource()
> >         git bisect bad 9ad3f2c7c69659c343843393944d739fec1f2e73
> >         # good: [27811d8cabe56e0c3622251b049086f49face4ff] x86: Move range related operation to one file
> >         git bisect good 27811d8cabe56e0c3622251b049086f49face4ff
> >         # bad: [3e3da00c01d050307e753fb7b3e84aefc16da0d0] x86/pci: AMD one chain system to use pci read out res
> >         git bisect bad 3e3da00c01d050307e753fb7b3e84aefc16da0d0
> > 
> > and `git bisect` showed me the same faulty commit as Svante found out:
> > b74fd238 [2].
> > 
> >         commit b74fd238a9cf39a81d94152f375b756bf795b4af
> >         Author: Yinghai Lu <yinghai@kernel.org>
> >         Date:   Wed Feb 10 01:20:08 2010 -0800
> >         
> >             x86/pci: Use resource_size_t in update_res
> > 
> > (Is there a command to show that summary again? I could not find it in
> > the help.)
> > 
> > But I before started with the bisection I tried what Jonathan asked
> > Svante to do and b74fd238a9cf and b74fd238a9cf^ did not show these
> > problems. Additionally it is weird that I never had to test that commit
> > b74fd238 in that bisection run.
> > 
> > I will test it again¹ and rebuild it and report back. But I would
> > suspect 3e3da00c [2] as the culprit.
> > 
> >         commit 3e3da00c01d050307e753fb7b3e84aefc16da0d0
> >         Author: Yinghai Lu <yinghai@kernel.org>
> >         Date:   Wed Feb 10 01:20:09 2010 -0800
> >         
> >             x86/pci: AMD one chain system to use pci read out res
> > 
> > `make` should take care of all necessary recompilations I guess, so no
> > `make clean`(?) is required.
> 
> So from my perspective I would say `git bisect` has a bug.
> 
>         $ git --version
>         git version 1.7.5.4
> 
> Here is the new result.
> 
>         $ git bisect good b74fd238a9cf39a81d94152f375b756bf795b4af
>         3e3da00c01d050307e753fb7b3e84aefc16da0d0 is the first bad commit
>         commit 3e3da00c01d050307e753fb7b3e84aefc16da0d0
>         Author: Yinghai Lu <yinghai@kernel.org>
>         Date:   Wed Feb 10 01:20:09 2010 -0800
>         
>             x86/pci: AMD one chain system to use pci read out res
>             
>             Found MSI amd k8 based laptops is hiding [0x70000000, 0x80000000) RAM
>             from e820.
>             
>             enable amd one chain even for all.
>             
>             -v2: use bool for found, according to Andrew
>             
>             Signed-off-by: Yinghai Lu <yinghai@kernel.org>
>             LKML-Reference: <1265793639-15071-6-git-send-email-yinghai@kernel.org>
>             Acked-by: Jesse Barnes <jbarnes@virtuousgeek.org>
>             Signed-off-by: H. Peter Anvin <hpa@zytor.com>
>         
>         :040000 040000 44e134ff22492c50d49c5e66880cfbf0b6738e50 f3e9511913b613c2f98e96136927b5ed44736e4e M	arch
> 
> Please notice that with this patch also the following messages seem to
> start to be written to the Linux kernel ring buffer (`dmesg`).
> 
>         [    0.227319] pnp 00:0e: disabling [mem 0x00000000-0x0009ffff] because it overlaps 0000:00:00.0 BAR 0 [mem 0x00000000-0x07ffffff pref]
>         [    0.227324] pnp 00:0e: disabling [mem 0x000c0000-0x000bffff disabled] because it overlaps 0000:00:00.0 BAR 0 [mem 0x00000000-0x07ffffff pref]
>         [    0.227330] pnp 00:0e: disabling [mem 0x000e0000-0x000fffff] because it overlaps 0000:00:00.0 BAR 0 [mem 0x00000000-0x07ffffff pref]
>         [    0.227334] pnp 00:0e: disabling [mem 0x00100000-0x77ffffff] because it overlaps 0000:00:00.0 BAR 0 [mem 0x00000000-0x07ffffff pref]
> 
> 
> Thanks,
> 
> Paul
> 
> 
> > ¹ It would be nice if the SHA1 checksum of the commit could be
> > incorporated in the Debian package somehow.
> > 
> > 
> > [1] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b74fd238a9cf39a81d94152f375b756bf795b4af
> > [2] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=3e3da00c01d050307e753fb7b3e84aefc16da0d0


I'm back now and have physical access to the computer. How can I confirm
the commit causing the problems?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Tue, 16 Aug 2011 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Aug 2011 21:21:06 GMT) Full text and rfc822 format available.

Message #137 received at 613979@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Svante Signell <srs@kth.se>, 613979@bugs.debian.org, linux-pci@vger.kernel.org, Yinghai Lu <yinghai@kernel.org>, Jesse Barnes <jbarnes@virtuousgeek.org>, "H. Peter Anvin" <hpa@zytor.com>
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Tue, 16 Aug 2011 23:18:54 +0200
[Message part 1 (text/plain, inline)]
Dear PCI folks,


do you prefer to discuss this issues on the linux-pci list or in the
Kernel Bug Tracker?


Am Dienstag, den 16.08.2011, 15:01 -0500 schrieb Jonathan Nieder:

> Svante Signell wrote:
> 
> [lots of irrelevant context snipped]
> > I'm back now and have physical access to the computer. How can I confirm
> > the commit causing the problems?
> 
> Thanks for the offer.  Testing 3e3da00c and 3e3da00c^ would be
> interesting; posting a boot log from an affected kernel with both
> "debug" and "ignore_loglevel" on the kernel command line to
> 
>  https://bugzilla.kernel.org/show_bug.cgi?id=30552
> 
> would also be helpful.

As written in the bug tracker [1] adding `debug ignore_loglevel` or
`debug` to the Linux kernel command line the boot stops after around 2
seconds and the cryptsetup LUKS passphrase dialog is not shown. Is that
a know problem with Linux 2.6.3{3,4}?


Thanks,

Paul


[1] https://bugzilla.kernel.org/show_bug.cgi?id=30552#c13
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Wed, 17 Aug 2011 09:33:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Aug 2011 09:33:33 GMT) Full text and rfc822 format available.

Message #142 received at 613979@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Jonathan Nieder <jrnieder@gmail.com>, Paul Menzel ‎ <pm.debian@googlemail.com>
Cc: 613979@bugs.debian.org, linux-pci@vger.kernel.org, "H. Peter Anvin" ‎ <hpa@zytor.com>, Yinghai Lu ‎ <yinghai@kernel.org>, Jesse Barnes ‎ <jbarnes@virtuousgeek.org>
Subject: Re: FW: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Wed, 17 Aug 2011 11:29:17 +0200
On Wed, 2011-08-17 at 06:47 +0000, Svante R Signell wrote:
> ________________________________________
> From: Jonathan Nieder [jrnieder@gmail.com]
> Sent: 16 August 2011 22:01
> To: Svante R Signell
> Cc: Paul Menzel; 613979@bugs.debian.org; linux-pci@vger.kernel.org; Yinghai Lu; Jesse Barnes; H. Peter Anvin
> Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
> 
> Hi Svante,
> 
> Svante Signell wrote:
> 
> [lots of irrelevant context snipped]
> > I'm back now and have physical access to the computer. How can I confirm
> > the commit causing the problems?
> 
> Thanks for the offer.  Testing 3e3da00c and 3e3da00c^ would be
> interesting; posting a boot log from an affected kernel with both
> "debug" and "ignore_loglevel" on the kernel command line to
> 
>  https://bugzilla.kernel.org/show_bug.cgi?id=30552
> 
> would also be helpful.

A boot log has been submitted to the above bug number. Hope this will
help to finally solve this regression. Thanks for your help. Please let
me know if there is something else I can do.







Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 03 Sep 2011 05:45:04 GMT) Full text and rfc822 format available.

Merged 613979 615966 619034. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 03 Sep 2011 05:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#613979; Package linux-2.6. (Sat, 24 Dec 2011 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 24 Dec 2011 09:51:08 GMT) Full text and rfc822 format available.

Message #151 received at 613979@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Paul Menzel <pm.debian@googlemail.com>
Cc: 613979@bugs.debian.org, srs@kth.se
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Sat, 24 Dec 2011 03:49:37 -0600
found 613979 linux-2.6/2.6.34-1~experimental.1
unmerge 619034
quit

Paul Menzel wrote:

> oops with `snd-hda-intel` and audio does not work anymore, since no
> sound devices are shown
[...]
> Additionally the boot process stops for over a minute at `Loading
> LIRC modules`
[...]
>         3e3da00c01d050307e753fb7b3e84aefc16da0d0 is the first bad commit
>         commit 3e3da00c01d050307e753fb7b3e84aefc16da0d0
>         Author: Yinghai Lu <yinghai@kernel.org>
>         Date:   Wed Feb 10 01:20:09 2010 -0800
>
>             x86/pci: AMD one chain system to use pci read out res
(from the v2.6.34 merge window)

This should be fixed on the ASUS M2V-MX SE by v3.1-rc10~19 (x86/PCI:
use host bridge _CRS info on ASUS M2V-MX SE, 2011-08-31).  Thanks for
making it happen.

Unmerging bugs since I suspect on Svante's machine the bug is still
unfixed.  Will close this half in a separate message.




Bug Marked as found in versions linux-2.6/2.6.34-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 24 Dec 2011 09:51:21 GMT) Full text and rfc822 format available.

Disconnected #619034 from all other report(s). Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 24 Dec 2011 09:51:24 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sat, 24 Dec 2011 09:57:04 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Sat, 24 Dec 2011 09:57:14 GMT) Full text and rfc822 format available.

Message #160 received at 613979-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 613979-done@bugs.debian.org
Subject: Re: [regression] "BUG: Unable to handle kernel paging request at ffffc90013cd8000" and no sound card recognized
Date: Sat, 24 Dec 2011 03:54:07 -0600
Version: 3.1.0-1~experimental.1

Jonathan Nieder wrote:

> This should be fixed on the ASUS M2V-MX SE by v3.1-rc10~19 (x86/PCI:
> use host bridge _CRS info on ASUS M2V-MX SE, 2011-08-31).

So closing.  Confirmation or information to the contrary would still
be welcome, though.




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sat, 24 Dec 2011 09:57:17 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Sat, 24 Dec 2011 09:57:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Feb 2012 07:43:04 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:24:38 GMT) Full text and rfc822 format available.

Bug reopened Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:24:42 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 3.1.0-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:24:43 GMT) Full text and rfc822 format available.

Marked as found in versions 2.6.32-31. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:24:45 GMT) Full text and rfc822 format available.

Added tag(s) upstream and fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:24:46 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.1.0-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:24:50 GMT) Full text and rfc822 format available.

Merged 613979 615966 637659 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:24:51 GMT) Full text and rfc822 format available.

Disconnected #615966 from all other report(s). Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 08 Apr 2012 22:39:18 GMT) Full text and rfc822 format available.

Disconnected #613979 from all other report(s). Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 09 Apr 2012 17:27:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions 2.6.32-31. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 09 Apr 2012 17:27:05 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 09 Apr 2012 17:27:05 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 17:27:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 08:00:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:31:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.